Embedded API - コネクションパラメーターリファレンス
このリファレンスには、WorkatoのAPIを使用してコネクターを設定するために必要なコネクションパラメータが含まれています。
プロバイダー値
すべてのコネクターには、コネクターのタイプを一意に識別するprovider値があります。たとえば、Salesforceコネクターにはprovider: salesforce値があります。
プロバイダー値は次の場合に指定する必要があります:
- プラットフォームAPIを使用したコネクションの作成:
curl -X POST https://YOUR_DATA_CENTER/api/managed_users/:managed_user_id/connections \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": ":name",
"provider": "salesforce"
}'顧客向けのApp Accessの定義。コネクターの
provider値をwhitelisted_appsパラメータに含めて、顧客がアクセスできるコネクターのリストを定義できます。たとえば、次のリクエストではSalesforceとNetSuiteのみにアクセスできるアカウントを作成します:
curl -X POST https://YOUR_DATA_CENTER/api/managed_users \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": ":name",
"notification_email": ":notification_email",
"external_id": ":external_id",
"whitelisted_apps": ["salesforce", "netsuite"],
"time_zone": ":time_zone"
}'コネクションパラメータ
次のパラメータは、特定のコネクターの設定を説明します:
| フィールド | タイプ | 説明 |
|---|---|---|
| oauth | boolean | trueの場合、コネクターにはOAuthが必要です。 |
| personalization | boolean | trueの場合、コネクションはWorkbotのユースケースでパーソナライズされたコネクションとして使用できます。 |
| secure_tunnel | boolean | trueの場合、コネクションはオンプレミスシステムへの接続に使用できます。 |
| input | 配列 | コネクターのコネクションパラメータを説明するオブジェクトの配列。空の場合、設定は不要です。 |
例: 設定不要
設定を必要としないコネクターの例を次に示します:
{
"oauth": true,
"personalization": true,
"input":
[]
}例: 設定が必要
コネクションパラメータ設定が必要なAirtableコネクターの設定例を次に示します:
{
"oauth": true,
"personalization": false,
"input": [
{
"name": "authentication_type",
"type": "select",
"options": [
"OAuth 2.0",
"個人アクセストークン",
"APIキー(非推奨)"
],
"optional": false,
"label": "認証タイプ",
"hint": "現在の方法には'OAuth 2.0'または'Personal access token'を選択します。'API key'はサポートされていません。"
},
{
"name": "personal_access_token",
"type": "string",
"optional": true,
"label": "個人アクセストークン",
"hint": "選択した認証タイプが'Personal access token'の場合は、ここに個人アクセストークンを入力します。",
"conditional": {
"field": "authentication_type",
"value": "Personal access token"
}
}
]
}OAuth認証
Workato APIでは、OAuth 2.0コネクションを作成できます。ただし、oauthやoauth2_auth_code_grantなど、通常はサインイン画面にリダイレクトされるコネクションタイプには、アクセストークンとリフレッシュトークンを含むoauth_token_pairオブジェクトが必要です。クライアント資格情報グラントコネクションには、oauth_token_pairオブジェクトは必要ありません。
oauth_token_pairオブジェクトの構造は次のとおりです:
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
}マネージドユーザーのコネクションを作成する場合など、アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。これにより、コネクションをDisconnected状態で初期化し、後でWorkato UIで認証を完了できます。シェルコネクションを作成するには、リクエスト本文に"shell_connection": trueを含めるか、認証フィールドを省略します。
シェルコネクションを作成して認証する
シェルコネクションを作成して認証するには、次の手順を実行します:
Create a connectionエンドポイントを使用して、シェルコネクションを作成します。例:
curl -X POST https://YOUR_DATA_CENTER/api/managed_users/:managed_user_id/connections \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": ":name",
"provider": "snowflake",
"folder_id": :folder_id,
"shell_connection": :true_or_false,
"input": {
"authentication_type": ["OAuth 2.0", "oauth"],
"warehouse": ":warehouse",
"host": ":host",
"database": ":database",
"role": ":role",
"user": ":user",
"schema_name": ":schema_name",
"db_timezone": ["American Samoa", "American Samoa"]
}
}'Workatoにサインインします。
シェルコネクションを保存したプロジェクトを開きます。
シェルコネクションを選択します。
シェルコネクションを選択します。
残りのフィールドを入力します。コネクター固有の認証手順については、Workatoドキュメントのコネクターセクションを参照してください。
残りのフィールドを入力します。
コネクター別の設定パラメータとプロバイダー値
次のリストには、各コネクターの設定パラメータとプロバイダー値が含まれています。
注: コネクションを必要とするコネクターのみが一覧表示されています。
2Checkout
プロバイダー値:
"provider": "two_checkout"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "ベンダーコード",
"name": "vendor_code",
"optional": false,
"hint": "2Checkout cpanel > Integrations > Webhooks & APIに移動します。'API'セクションでベンダー/マーチャントコードを取得します。",
"type": "string"
},
{
"label": "シークレットキー",
"name": "secret_key",
"optional": false,
"hint": "2Checkout cpanel > Integrations > Webhooks & APIに移動します。シークレットキーは'API'セクションで確認できます。",
"type": "string"
}
]
}Active Directory
プロバイダー値:
"provider": "active_directory"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "オンプレミスコネクションプロファイル",
"name": "profile",
"hint": "コネクションプロファイルを使用するには、オンプレミスグループのconfig.ymlファイルのLDAPセクションにあるプロファイル名を入力します。詳細については、次のドキュメントを参照してください: https://docs.workato.com/on-prem/agents/connection/profile.html#active-directory-profile",
"type": "string"
},
{
"label": "URL",
"name": "url",
"hint": "URLは、SSLの場合、ldap://myserver.example.com:389またはldaps://myserver.example.com:636の形式にする必要があります。LDAPコネクションの詳細については、こちらを参照してください。これは、クラウドプロファイルを使用する場合にのみ適用されます。例: 'ldap://acme1.ldap.com:389'。詳細については、次のドキュメントを参照してください: https://docs.workato.com/on-prem/agents/connection/cloud.html#active-directory-profile",
"type": "string"
},
{
"label": "ユーザー名",
"name": "username",
"hint": "LDAPサーバーで認証する際に使用するユーザー名(プリンシパル)。通常、これは管理者ユーザーの識別名(distinguished name)です。これは、クラウドプロファイルを使用する場合にのみ適用されます。例: cn=Administrator",
"type": "string"
},
{
"label": "パスワード",
"name": "password",
"hint": "LDAPサーバーで認証する際に使用するパスワード(認証情報)。これは、クラウドプロファイルを使用する場合にのみ適用されます。",
"type": "string"
},
{
"label": "ベース",
"name": "base",
"optional": true,
"hint": "すべてのリクエストのベースDN。この属性が設定されている場合、LDAP操作に渡される、およびLDAP操作から受信するすべての識別名(Distinguished name)は、このLDAPパスを基準とした相対パスになります。これは、クラウドプロファイルを使用する場合にのみ適用されます。例: dc=acme,dc=com",
"type": "string"
},
{
"label": "SSL設定",
"name": "ssl",
"optional": true,
"hint": "これは、クラウドプロファイルを使用する場合にのみ適用されます。",
"type": "object",
"properties": [
{
"label": "証明書",
"name": "cert",
"optional": true,
"hint": "PEMエンコードされた証明書または信頼済みCAへのパス。",
"type": "string"
},
{
"label": "SSL証明書",
"name": "pem",
"optional": true,
"hint": "PEMエンコードされたクライアント証明書の完全な内容。",
"type": "string"
},
{
"label": "SSL証明書キー",
"name": "key",
"optional": true,
"hint": "相互SSL設定用の秘密キー。SSL証明書を指定する場合は必須です。",
"type": "string"
},
{
"label": "すべて信頼",
"name": "trustAll",
"optional": true,
"hint": "自己署名証明書を有効にするにはtrueに設定します。",
"type": "boolean"
}
]
}
]
}Adobe Experience Manager
プロバイダー値:
"provider": "adobe_experience_manager"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認証タイプ",
"name": "authentication_type",
"optional": false,
"hint": "コネクションに使用する認証タイプを選択します。デフォルトは`service_credentials`です。",
"type": "string",
"pick_list": [
[
"Basic",
"basic"
],
[
"サービス認証情報",
"service_credentials"
]
]
},
{
"label": "AEMインスタンスアドレス",
"name": "host_name",
"optional": false,
"hint": "AEMインスタンスのアドレス。プライベートネットワークでローカルにホストされている場合は、OPAをデプロイし、後のステップでエージェントを選択する必要があります。AEMインスタンスアドレスがhttps://wkto.aem.com:8080の場合、アドレスはhttps://wkto.aem.comです。",
"type": "string"
},
{
"label": "ポート",
"name": "port",
"optional": true,
"hint": "AEMインスタンスに関連付けられたポート。設定によっては、これは不要な場合があります。AEMインスタンスアドレスがhttps://wkto.aem.com:8080の場合、ポート番号は8080です。",
"type": "integer"
},
{
"label": "サービス認証情報JSON",
"name": "service_auth_json",
"optional": false,
"hint": "AEM Developer Consoleから取得したサービス認証情報JSONの内容を貼り付けます。サービス認証情報を生成する手順については、次のドキュメントを参照してください:https://experienceleague.adobe.com/docs/experience-manager-learn/getting-started-with-aem-headless/authentication/service-credentials.html?lang=en。サービス認証情報の証明書は365日ごとに期限切れになります。必要に応じてこれらの証明書を再生成してください。これは`Authentication type`が'サービス認証情報'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "ユーザー名",
"name": "username",
"optional": false,
"hint": "Workato用にプロビジョニングされたユーザーのユーザー名。これは`Authentication type`が'Basic'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "パスワード",
"name": "password",
"optional": false,
"hint": "Workato用にプロビジョニングされたユーザーのパスワード。これは`Authentication type`が'Basic'の場合にのみ適用されます。",
"type": "string"
}
]
}ADP Workforce Now
プロバイダー値:
"provider": "adp7"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "サンドボックス",
"name": "sandbox",
"optional": true,
"hint": "デフォルトは`false`です。",
"type": "boolean"
},
{
"label": "クライアントID",
"name": "client_id",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"type": "string"
},
{
"label": "SSLクライアント証明書",
"name": "ssl_client_cert",
"type": "string"
},
{
"label": "SSLクライアントキー",
"name": "ssl_client_key",
"type": "string"
},
{
"label": "カスタムCA証明書",
"name": "ssl_key_passphrase",
"optional": true,
"type": "string"
},
{
"label": "機密情報のマスクを解除しますか?",
"name": "unmask",
"optional": true,
"hint": "「はい」の場合、機密情報はレスポンスで返されます。「いいえ」の場合、返されません。デフォルトは`false`です。",
"type": "boolean"
}
]
}Airbrake
プロバイダー値:
"provider": "airbrake"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "APIキー",
"name": "api_key",
"optional": true,
"type": "string"
}
]
}AirREGI
プロバイダー値:
"provider": "air_regi"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンおよびリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": []
}Airtable
プロバイダー値:
"provider": "airtable"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "authentication_type",
"optional": false,
"hint": "認証タイプを選択します。デフォルトはAPIキー(非推奨)です。",
"type": "string",
"pick_list": [
[
"OAuth 2.0",
"oauth2_auth_code_grant"
],
[
"個人用アクセストークン",
"personal_token_authentication"
],
[
"APIキー(非推奨)",
"api_key"
]
]
},
{
"label": "個人用アクセストークン",
"name": "access_token",
"optional": false,
"hint": "個人用アクセストークンを指定します。Airtableで個人用アクセストークンを作成するには、次のページに移動します:https://airtable.com/create/tokens。これは、認証タイプが'personal_token_authentication'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "詳細設定",
"name": "advanced_settings",
"optional": true,
"hint": "これは、認証タイプが'OAuth 2.0'の場合にのみ適用されます。",
"type": "object",
"properties": [
{
"label": "リクエストする権限(Oauthスコープ)",
"name": "scopes",
"optional": true,
"hint": "このコネクションでリクエストするスコープを選択します。'data.records:read'と'schema.bases:read'は常にリクエストされます。空白のままにした場合、デフォルトは'data.records:read'、'schema.bases:read'、'data.records:write'、'schema.bases:write'です。複数の値はスペースで区切ります。詳細については、次のAirtableドキュメントを参照してください:https://airtable.com/developers/web/api/scopes",
"type": "string",
"pick_list": [
[
"ベース内のレコードを表示",
"records_read"
],
[
"テーブルおよびベーススキーマを表示",
"bases_read"
],
[
"レコードを作成、編集、および削除",
"records_write"
],
[
"テーブルおよびベースを作成、編集",
"bases_write"
],
[
"レコード内のコメントを表示",
"read_comment"
],
[
"レコードコメントを作成、編集、および削除",
"read_write_comment"
],
[
"ベースのWebhookを表示、作成、削除し、Webhookペイロードを取得します。",
"read_write_webhook"
],
[
"エンタープライズ配下のユーザーグループ、そのアクセス権、およびメンバーに関する情報を表示",
"read_group"
],
[
"コラボレーターを含むワークスペース、ベース、およびビューに関するメタデータを表示",
"read_base"
],
[
"コラボレーター、招待、ビュー、および拡張機能を含むワークスペースとベースのメタデータを編集",
"read_write_base"
],
[
"ベースの共有リンクを表示、有効化、無効化、および削除します。注:共有リンクを使用して、ベース内のデータを表示できます。",
"share_base"
],
[
"SCIM APIを使用して、プロビジョニングとプロビジョニング解除を含む組織のユーザーとグループを管理します。",
"read_write_scim"
],
[
"組織の監査ログを表示",
"read_audit"
],
[
"ワークスペースID、ユーザー、グループ、およびメールドメインを含むエンタープライズアカウントに関するデータを表示",
"read_account"
],
[
"ユーザーID、名前、メール、およびユーザーがアクセスできるベースを含む、エンタープライズ配下のユーザーのアカウント情報を表示",
"read_user"
],
[
"プロビジョニング、無効化、および削除を含む、エンタープライズアカウント配下のユーザーを管理",
"write_user"
],
[
"エンタープライズ配下のワークスペース間でベースを移動",
"manage_bases"
]
]
}
]
},
{
"label": "APIキー",
"name": "api_key",
"optional": false,
"hint": "APIキーはアカウントページで確認できます:https://airtable.com/create/tokens。これは、認証タイプが'OAuth 2.0'ではなく、'Personal access token'でもない場合にのみ適用されます。",
"type": "string"
}
]
}Amazon Cognito
プロバイダー値:
"provider": "aws_cognito"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "AWSアカウント名>Security Credentials(セキュリティ認証情報)>Users(ユーザー)をクリックします。既存のユーザーからAPIキーを取得するか、ユーザーを作成します",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "AWSアカウント名>Security Credentials(セキュリティ認証情報)>Users(ユーザー)をクリックします。既存のユーザーからシークレットキーを取得するか、ユーザーを作成します",
"type": "string"
},
{
"label": "AWSリージョン",
"name": "aws_region",
"optional": false,
"hint": "アカウントURLがhttps://eu-west-1.console.aws.amazon.comの場合は、リージョンとしてeu-west-1を使用します",
"type": "string"
},
{
"label": "Cognitoユーザープール",
"name": "cognito_user_pool",
"optional": false,
"type": "object",
"properties": [
{
"label": "ユーザープールID",
"name": "user_pool_id",
"optional": false,
"hint": "CognitoユーザープールのID",
"type": "string"
},
{
"label": "アプリクライアントID",
"name": "app_client_id",
"optional": false,
"hint": "Cognitoユーザープールに関連付けられているアプリのアプリクライアントID",
"type": "string"
},
{
"label": "アプリクライアントシークレット",
"name": "app_client_secret",
"optional": true,
"hint": "Cognitoユーザープールに関連付けられているアプリのアプリクライアントシークレット。アプリクライアントにクライアントシークレットが設定されている場合は必須です。",
"type": "string"
}
]
},
{
"label": "Cognito IDプール",
"name": "cognito_identity_pool",
"optional": false,
"type": "object",
"properties": [
{
"label": "アカウントID",
"name": "account_id",
"hint": "AWSアカウントID(9桁以上)",
"type": "string"
},
{
"label": "IDプールID",
"name": "identity_pool_id",
"optional": false,
"hint": "Cognito IDプールのID",
"type": "string"
}
]
}
]
}Amazon Lex
プロバイダー値:
"provider": "amazon_lex_nlu"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "ボット名",
"name": "bot_name",
"hint": "Amazon Lexボット名",
"type": "string"
},
{
"label": "ボットエイリアス",
"name": "bot_alias",
"hint": "Amazon Lexボットエイリアス",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"hint": "リージョン",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "access_key_id",
"hint": "IAMユーザー: アクセスキーID(AWS管理ポリシー\"AmazonLexRunBotsOnly\"をユーザーにアタッチする必要があります)",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_access_key",
"hint": "IAMユーザー: シークレットアクセスキー",
"type": "string"
}
]
}Amazon S3
プロバイダー値:
"provider": "amazon_s3"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認可タイプ",
"name": "auth_type",
"optional": false,
"hint": "デフォルトはアクセスキー(非推奨)です。認可の詳細については、Amazonドキュメントを参照してください: https://docs.workato.com/connectors/s3/connection-setup.html#how-to-connect-to-amazon-s3-on-workato",
"type": "string",
"pick_list": [
[
"アクセスキー(非推奨)",
"key_secret"
],
[
"IAMロール",
"role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください: 'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'. これは、認可タイプが'IAMロール'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "AWSアカウント名>マイセキュリティ認証情報>ユーザーに移動します。既存のユーザーからAPIキーを取得するか、新しいユーザーを作成します。これは、認可タイプが'アクセスキー(非推奨)'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "AWSアカウント名>マイセキュリティ認証情報>ユーザーに移動します。既存のユーザーからシークレットキーを取得するか、新しいユーザーを作成します。これは、認可タイプが'アクセスキー(非推奨)'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "外部ID",
"name": "external_id",
"optional": true,
"hint": "これは、認可タイプが'IAMロール'で、カスタム外部IDが設定されている場合にのみ適用されます。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください: https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html",
"type": "string"
},
{
"label": "バケットに制限",
"name": "restrict_to_bucket",
"optional": true,
"hint": "指定したバケットにコネクションを制限するために使用します。このユーザーのs3:ListBucketアクセスが制限されている場合に必要です。詳細については、次のAmazonドキュメントを参照してください: https://docs.aws.amazon.com/AmazonS3/latest/dev/using-with-s3-actions.html#using-with-s3-actions-related-to-buckets",
"type": "string"
},
{
"label": "パスに制限",
"name": "restrict_to_path",
"optional": true,
"hint": "指定したバケットおよびオブジェクトまたはパスにコネクションを制限するために使用します。このユーザーのs3:ListBucketアクセスが制限されている場合に必要です。これは、`Restrict to bucket`を有効にした場合にのみ適用されます。詳細については、次のAmazonドキュメントを参照してください: https://docs.aws.amazon.com/AmazonS3/latest/dev/using-with-s3-actions.html#using-with-s3-actions-related-to-buckets",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "リージョンは通常、S3アカウントURLで指定されます。アカウントURLがhttps://eu-west-1.console.s3.amazon.comの場合、リージョンにはeu-west-1を使用します。",
"type": "string"
},
{
"label": "ダウンロードスレッド",
"name": "download_threads",
"optional": true,
"hint": "ダウンロード速度を向上させるために使用します。デフォルトは1、最大は20です。",
"type": "string"
}
]
}Amazon S3(セカンダリ)
プロバイダー値:
"provider": "amazon_s3_secondary"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認可タイプ",
"name": "auth_type",
"optional": false,
"hint": "デフォルトはアクセスキー(非推奨)です。認可の詳細については、Amazonドキュメントを参照してください: https://docs.workato.com/connectors/s3/connection-setup.html#how-to-connect-to-amazon-s3-on-workato",
"type": "string",
"pick_list": [
[
"アクセスキー(非推奨)",
"key_secret"
],
[
"IAMロール",
"role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください: 'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'. これは、認可タイプが'IAMロール'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "AWSアカウント名>マイセキュリティ認証情報>ユーザーに移動します。既存のユーザーからAPIキーを取得するか、新しいユーザーを作成します。これは、認可タイプが'アクセスキー(非推奨)'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "AWSアカウント名>マイセキュリティ認証情報>ユーザーに移動します。既存のユーザーからシークレットキーを取得するか、新しいユーザーを作成します。これは、認可タイプが'アクセスキー(非推奨)'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "外部ID",
"name": "external_id",
"optional": true,
"hint": "これは、認可タイプが'IAMロール'で、カスタム外部IDが設定されている場合にのみ適用されます。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください: https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html",
"type": "string"
},
{
"label": "バケットに制限",
"name": "restrict_to_bucket",
"optional": true,
"hint": "指定したバケットにコネクションを制限するために使用します。このユーザーのs3:ListBucketアクセスが制限されている場合に必要です。詳細については、次のAmazonドキュメントを参照してください: https://docs.aws.amazon.com/AmazonS3/latest/dev/using-with-s3-actions.html#using-with-s3-actions-related-to-buckets",
"type": "string"
},
{
"label": "パスに制限",
"name": "restrict_to_path",
"optional": true,
"hint": "指定したバケットおよびオブジェクトまたはパスにコネクションを制限するために使用します。このユーザーのs3:ListBucketアクセスが制限されている場合に必要です。これは、`Restrict to bucket`を有効にした場合にのみ適用されます。詳細については、次のAmazonドキュメントを参照してください: https://docs.aws.amazon.com/AmazonS3/latest/dev/using-with-s3-actions.html#using-with-s3-actions-related-to-buckets",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "リージョンは通常、S3アカウントURLで指定されます。アカウントURLがhttps://eu-west-1.console.s3.amazon.comの場合、リージョンにはeu-west-1を使用します。",
"type": "string"
},
{
"label": "ダウンロードスレッド",
"name": "download_threads",
"optional": true,
"hint": "ダウンロード速度を向上させるために使用します。デフォルトは1、最大は20です。",
"type": "string"
}
]
}Amazon SES
プロバイダー値:
"provider": "amazon_ses"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認可タイプ",
"name": "auth_type",
"optional": false,
"hint": "必要な認可タイプを選択します。デフォルトはアクセスキー(非推奨)です。",
"type": "string",
"pick_list": [
[
"アクセスキー(非推奨)",
"key_secret"
],
[
"IAMロール",
"role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。詳細については、Amazonの「Create a role to give permissions to an IAM user」ドキュメントを参照してください: 'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'。これは、認可タイプが「IAMロール」の場合にのみ適用されます。",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "AWSアカウント名>My Security Credentials>Usersに移動します。既存のユーザーからAPIキーを取得するか、新しいユーザーを作成します。これは、認可タイプが「アクセスキー(非推奨)」の場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "AWSアカウント名>My Security Credentials>Usersに移動します。既存のユーザーからシークレットキーを取得するか、新しいユーザーを作成します。これは、認可タイプが「アクセスキー(非推奨)」の場合にのみ適用されます。",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "リージョンは通常、SESアカウントURLに含まれています。アカウントURLがhttps://console.aws.amazon.com/ses/home?region=us-east-1の場合、リージョンとしてus-east-1を使用します。",
"type": "string"
}
]
}Amazon SNS
プロバイダー値:
"provider": "aws_sns"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認証タイプ",
"name": "auth_type",
"hint": "認証方法を選択します。デフォルトはアクセスキー認証です。",
"type": "string",
"pick_list": [
[
"アクセスキー認証",
"aws_key_secret"
],
[
"IAMロール認証",
"aws_role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください:'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'。これは、認証タイプが'IAMロール認証'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "外部ID",
"name": "external_id",
"optional": true,
"hint": "これは、認証タイプが'IAMロール認証'で、カスタム外部IDが設定されている場合にのみ適用されます。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください:https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "access_key_id",
"optional": false,
"hint": "AWSアカウント名>セキュリティ認証情報>ユーザーをクリックします。既存のユーザーからAPIキーを取得するか、ユーザーを作成します。これは、認証タイプが'IAMロール認証'ではない場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_access_key",
"optional": false,
"hint": "AWSアカウント名>セキュリティ認証情報>ユーザーをクリックします。既存のユーザーからシークレットキーを取得するか、ユーザーを作成します。これは、認証タイプが'IAMロール認証'ではない場合にのみ適用されます。",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "アカウントURLがhttps://eu-west-1.console.aws.amazon.comの場合は、リージョンとしてeu-west-1を使用します。これは、認証タイプが'IAMロール認証'または'アクセスキー認証'の場合にのみ適用されます。",
"type": "string"
}
]
}Amazon SQS
プロバイダー値:
"provider": "aws_sqs"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認証タイプ",
"name": "auth_type",
"optional": false,
"hint": "デフォルトはアクセスキーです。Amazon SQS/S3認証の詳細については、次のドキュメントを参照してください:https://docs.workato.com/connectors/s3/connection-setup.html#how-to-connect-to-amazon-s3-on-workato",
"type": "string",
"pick_list": [
[
"アクセスキー",
"key_secret"
],
[
"IAMロール",
"role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。詳細については、Amazonの'IAMユーザーに権限を付与するロールを作成する'ドキュメントを参照してください:'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'。これは認証タイプが'IAMロール'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "AWSアカウント名>マイセキュリティ認証情報>ユーザーに移動します。既存のユーザーからAPIキーを取得するか、新しいユーザーを作成します。これは認証タイプが'アクセスキー'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "AWSアカウント名>マイセキュリティ認証情報>ユーザーに移動します。既存のユーザーからシークレットキーを取得するか、新しいユーザーを作成します。これは認証タイプが'アクセスキー'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "SQSキューのリージョンです。キューARNで定義されています。キューARNがarn:aws:sqs:us-east-1:641923904298:gabriel_standard_qの場合は、リージョンとしてus-east-1を使用します。",
"type": "string"
},
{
"label": "バージョン",
"name": "version",
"optional": false,
"hint": "SQS APIバージョンを選択します。デフォルトは`2012-11-05`です。",
"type": "string",
"pick_list": [
[
"2012-11-05",
"2012-11-05"
]
]
},
{
"label": "サービス",
"name": "service",
"optional": false,
"hint": "SQSキューのサービスです。キューARNで定義されています。キューARNがarn:aws:sqs-fips:us-east-1:123456789:bennett_standard_qの場合は、サービスとしてsqs-fipsを使用します。",
"type": "string",
"pick_list": [
[
"SQS",
"sqs"
],
[
"SQS-FIPS",
"sqs-fips"
]
]
}
]
}AMcards
プロバイダー値:
"provider": "amcards"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "アクセストークン",
"name": "access_token",
"optional": false,
"hint": "アクセストークンを取得するには、次のページに移動してください: https://amcards.com/profile/generate-access-token",
"type": "string"
}
]
}Anaplan
プロバイダー値:
"provider": "anaplan"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントのコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合に、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "authentication_type",
"hint": "コネクションの認証タイプを選択します。デフォルトはユーザー名/パスワードです。",
"type": "string",
"pick_list": [
[
"OAuth 2.0",
"oauth2_auth_code_grant"
],
[
"証明書認証",
"certicate_auth"
],
[
"ユーザー名/パスワード",
"basic_auth"
]
]
},
{
"label": "ユーザー名",
"name": "username",
"optional": false,
"hint": "これは認証タイプが'ユーザー名/パスワード'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "証明書",
"name": "certificate",
"optional": false,
"hint": "PEM形式の証明書文字列を入力します。CA証明書を取得し、PEM文字列に変換する方法についてはこちらをご覧ください。これは認証タイプが'証明書認証'の場合にのみ適用されます。詳細については、次のAnaplanドキュメントを参照してください: https://help.anaplan.com/anapedia/Content/Administration_and_Security/Tenant_Administration/Security/ProcuringCACertificates.htm",
"type": "string"
},
{
"label": "秘密鍵",
"name": "private_key",
"optional": false,
"hint": "PEM形式の秘密鍵文字列を入力します。これは認証タイプが'証明書認証'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "パスワード",
"name": "password",
"optional": false,
"hint": "これは認証タイプが'ユーザー名/パスワード'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "データセンター",
"name": "data_centre",
"optional": true,
"hint": "必要なデータセンターを選択します。デフォルトはAnaplanデータセンターです。",
"type": "string",
"pick_list": [
[
"Anaplanデータセンター",
"anaplan"
],
[
"AWSオーストラリア",
"au1a.app2.anaplan"
],
[
"GCPカナダ",
"ca1a.app.anaplan"
],
[
"AWSインドネシア",
"id1.app.anaplan"
]
]
},
{
"label": "クライアントID",
"name": "client_id",
"optional": false,
"hint": "アプリケーションのクライアントID。詳細については、OAuth 2.0クライアントの作成方法を参照してください。これは認証タイプが'OAuth 2.0'の場合にのみ適用されます。詳細については、次のAnaplanドキュメントを参照してください: https://help.anaplan.com/create-an-oauth-20-client-0984a799-a667-4e70-8759-a134be32f48c",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": false,
"hint": "アプリケーションのクライアントシークレット。この値はAdministration > Security > OAuth Clientsから取得できます。これは認証タイプが'OAuth 2.0'の場合にのみ適用されます。",
"type": "string"
}
]
}Apache Kafka
プロバイダー値:
"provider": "kafka"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "オンプレミスコネクションプロファイル",
"name": "profile",
"hint": "コネクションプロファイルを使用するには、オンプレミスグループのconfig.ymlファイルのkafkaセクションからプロファイル名を入力します。詳細については、次のドキュメントを参照してください: https://docs.workato.com/on-prem/agents/connection/profile.html#apache-kafka-profile",
"type": "string"
},
{
"label": "URL",
"name": "url",
"hint": "Kafkaコネクションの詳細については、こちらを参照してください。これはクラウドプロファイルを使用する場合にのみ適用されます。例: `kafka://localhost:9092,kafka+ssl://localhost:9093`。詳細については、次のドキュメントを参照してください: https://docs.workato.com/on-prem/agents/connection/cloud.html#apache-kafka-profile",
"type": "string"
},
{
"label": "タイムアウト",
"name": "timeout",
"optional": true,
"hint": "秒単位。これはクラウドプロファイルを使用する場合にのみ適用されます",
"type": "integer"
},
{
"label": "SSL設定",
"name": "ssl",
"optional": true,
"hint": "これはクラウドプロファイルを使用する場合にのみ適用されます",
"type": "object",
"properties": [
{
"label": "サーバー証明書",
"name": "cert",
"optional": true,
"hint": ".pem形式のX509サーバー証明書の内容またはパス。Kafka SSL設定の詳細については、次のドキュメントを参照してください: https://docs.workato.com/connectors/kafka.html",
"type": "string"
},
{
"label": "SSLクライアント証明書",
"name": "pem",
"optional": true,
"hint": ".pem形式のX509クライアント証明書の内容またはパス。",
"type": "string"
},
{
"label": "SSLクライアントキー",
"name": "key",
"optional": true,
"hint": ".pem形式のRSAクライアントキーの内容またはパス。",
"type": "string"
},
{
"label": "SSLクライアントキーのパスワード",
"name": "keyPassword",
"optional": true,
"hint": "SSLクライアントキーの任意のパスワード。",
"type": "string"
}
]
},
{
"label": "Kafkaコネクションの追加プロパティ",
"name": "additional_properties",
"optional": true,
"hint": "これはクラウドプロファイルを使用する場合にのみ適用されます",
"type": "array",
"of": "object",
"properties": [
{
"label": "キー",
"name": "key",
"type": "string"
},
{
"label": "値",
"name": "value",
"type": "string"
}
]
}
]
}Apollo.io
プロバイダー値:
"provider": "apollo"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "APIキー",
"name": "api_key",
"optional": false,
"hint": "Developerポータル(https://developer.apollo.io/)から取得したAPIキーを入力してください。マスターキーを使用すると、すべてのソースオブジェクトにアクセスできます。スコープ付きキーでは、連絡先とアカウントにのみアクセスできます。",
"type": "string"
}
]
}Apttus
プロバイダー値:
"provider": "apttus"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "サンドボックス",
"name": "sandbox",
"optional": true,
"hint": "これはサンドボックスアカウントへの接続ですか。デフォルトは`false`です。",
"type": "boolean"
}
]
}Apttus Intelligent Cloud
プロバイダー値:
"provider": "apttus_intelligent_cloud"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "サブドメイン",
"name": "subdomain",
"optional": false,
"hint": "apttus AIC URLで確認できるAICクラウド名",
"type": "string",
"url": ".apttuscloud.com"
},
{
"label": "クライアントID",
"name": "client_id",
"optional": false,
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": false,
"type": "string"
},
{
"label": "ディレクトリID",
"name": "directory_id",
"optional": false,
"hint": "ディレクトリIDについては、次のページを参照してください: https://portal.azure.com/#blade/Microsoft_AAD_IAM/ActiveDirectoryMenuBlade/Properties.",
"type": "string"
}
]
}Asana
プロバイダー値:
"provider": "asana"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンおよびリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": []
}AscentERP
プロバイダー値:
"provider": "ascent_erp"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "サンドボックス",
"name": "sandbox",
"optional": true,
"hint": "これはサンドボックスアカウントへの接続ですか。デフォルトは`false`です。",
"type": "boolean"
}
]
}AWS Cognito
プロバイダー値:
"provider": "aws_cognito"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "AWSアカウント名>Security Credentials(セキュリティ認証情報)>Users(ユーザー)をクリックします。既存のユーザーからAPIキーを取得するか、ユーザーを作成します",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "AWSアカウント名>Security Credentials(セキュリティ認証情報)>Users(ユーザー)をクリックします。既存のユーザーからシークレットキーを取得するか、ユーザーを作成します",
"type": "string"
},
{
"label": "AWSリージョン",
"name": "aws_region",
"optional": false,
"hint": "アカウントURLがhttps://eu-west-1.console.aws.amazon.comの場合は、リージョンとしてeu-west-1を使用します",
"type": "string"
},
{
"label": "Cognitoユーザープール",
"name": "cognito_user_pool",
"optional": false,
"type": "object",
"properties": [
{
"label": "ユーザープールID",
"name": "user_pool_id",
"optional": false,
"hint": "CognitoユーザープールのID",
"type": "string"
},
{
"label": "アプリクライアントID",
"name": "app_client_id",
"optional": false,
"hint": "Cognitoユーザープールに関連付けられているアプリのアプリクライアントID",
"type": "string"
},
{
"label": "アプリクライアントシークレット",
"name": "app_client_secret",
"optional": true,
"hint": "Cognitoユーザープールに関連付けられているアプリのアプリクライアントシークレット。アプリクライアントにクライアントシークレットが設定されている場合は必須です。",
"type": "string"
}
]
},
{
"label": "Cognito IDプール",
"name": "cognito_identity_pool",
"optional": false,
"type": "object",
"properties": [
{
"label": "アカウントID",
"name": "account_id",
"hint": "AWSアカウントID(9桁以上)",
"type": "string"
},
{
"label": "IDプールID",
"name": "identity_pool_id",
"optional": false,
"hint": "Cognito IDプールのID",
"type": "string"
}
]
}
]
}AWS Lambda
プロバイダー値:
"provider": "aws_lambda"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認証タイプ",
"name": "auth_type",
"optional": false,
"hint": "デフォルトはアクセスキー(非推奨)です。AWS Lambda認証の詳細については、次のドキュメントを参照してください: https://docs.workato.com/connectors/s3/connection-setup.html#how-to-connect-to-amazon-s3-on-workato",
"type": "string",
"pick_list": [
[
"アクセスキー(非推奨)",
"key_secret"
],
[
"IAMロール",
"role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください: 'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'。これは、認証タイプが'IAMロール'の場合にのみ適用されます。次のページで参照されているすべてのポリシーを含めてください: https://docs.aws.amazon.com/lambda/latest/dg/lambda-intro-execution-role.html#permissions-executionrole-features",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "AWSアカウント名>セキュリティ認証情報>ユーザーをクリックします。既存のユーザーからAPIキーを取得するか、ユーザーを作成します(AWSLambdaFullAccess権限付き)。これは、認証タイプが'アクセスキー(非推奨)'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "AWSアカウント名>セキュリティ認証情報>ユーザーをクリックします。既存のユーザーからシークレットキーを取得するか、ユーザーを作成します(AWSLambdaFullAccess権限付き)。これは、認証タイプが'アクセスキー(非推奨)'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "アカウントURLがhttps://eu-west-1.console.aws.amazon.comの場合、リージョンとしてeu-west-1を使用します",
"type": "string"
},
{
"label": "外部ID",
"name": "external_id",
"optional": true,
"hint": "これは、認証タイプが'IAMロール'で、カスタム外部IDが設定されている場合にのみ適用されます。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください: https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html",
"type": "string"
}
]
}AWS SNS
プロバイダー値:
"provider": "aws_sns"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認証タイプ",
"name": "auth_type",
"hint": "認証方法を選択します。デフォルトはアクセスキー認証です。",
"type": "string",
"pick_list": [
[
"アクセスキー認証",
"aws_key_secret"
],
[
"IAMロール認証",
"aws_role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください:'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'。これは、認証タイプが'IAMロール認証'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "外部ID",
"name": "external_id",
"optional": true,
"hint": "これは、認証タイプが'IAMロール認証'で、カスタム外部IDが設定されている場合にのみ適用されます。詳細については、Amazonの'IAMユーザーにアクセス許可を付与するロールを作成する'ドキュメントを参照してください:https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "access_key_id",
"optional": false,
"hint": "AWSアカウント名>セキュリティ認証情報>ユーザーをクリックします。既存のユーザーからAPIキーを取得するか、ユーザーを作成します。これは、認証タイプが'IAMロール認証'ではない場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_access_key",
"optional": false,
"hint": "AWSアカウント名>セキュリティ認証情報>ユーザーをクリックします。既存のユーザーからシークレットキーを取得するか、ユーザーを作成します。これは、認証タイプが'IAMロール認証'ではない場合にのみ適用されます。",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "アカウントURLがhttps://eu-west-1.console.aws.amazon.comの場合は、リージョンとしてeu-west-1を使用します。これは、認証タイプが'IAMロール認証'または'アクセスキー認証'の場合にのみ適用されます。",
"type": "string"
}
]
}Azure Blob Storage
プロバイダー値:
"provider": "azure_blob_storage"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "ストレージアカウント",
"name": "storage_account",
"optional": false,
"hint": "ストレージアカウントの名前。Azure Portalに移動し、ストレージアカウントを選択します。",
"type": "string"
},
{
"label": "コネクションアカウントタイプ",
"name": "account_type",
"optional": true,
"hint": "Common、Organization、またはテナント固有のコネクションアカウントタイプのどれでサインインするかを選択します。Commonは、テナント固有ではない個人、エンタープライズ、およびマルチテナントアカウントに対応しています。Organizationは、マルチテナントのエンタープライズアカウントに対応しています。テナント固有オプションでは、テナントID/ドメインを指定する必要があります。デフォルトはCommonタイプに設定されています。Microsoftアカウントタイプの詳細を確認してください。詳細については、次のドキュメントを参照してください: https://learn.microsoft.com/en-us/entra/identity-platform/msal-client-application-configuration#authority",
"type": "string",
"pick_list": [
[
"Common",
"common"
],
[
"Organization",
"organization"
],
[
"テナント固有",
"tenant"
]
]
},
{
"label": "認証タイプ",
"name": "authentication_type",
"optional": false,
"hint": "認証タイプを選択します。デフォルトは認可コードグラントに設定されています。クライアント認証情報グラントの場合は、詳細設定でクライアントIDとクライアントシークレットを指定し、コネクションで指定されたストレージアカウントにアクセスするための十分な権限がアプリにあることを確認します。これは、`Connection account type`が'Tenant specific'の場合にのみ適用されます。デフォルトは認可コードグラントです。",
"type": "string",
"pick_list": [
[
"認可コードグラント",
"oauth2_auth_code_grant"
],
[
"クライアント認証情報",
"oauth2_client_credentials_grant"
]
]
},
{
"label": "テナントID/ドメイン",
"name": "tenant_id",
"optional": false,
"hint": "Azure Active Directory(Azure AD)テナントのテナントID(GUID)、またはそのテナントドメインを指定します。これは、`Connection account type`が'Tenant specific'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "詳細設定",
"name": "advanced_settings",
"optional": true,
"hint": "コネクションの詳細設定。",
"type": "object",
"properties": [
{
"label": "OAuth 2.0認可コードスコープ",
"name": "auth_code_scopes",
"optional": true,
"hint": "このコネクションで要求する追加のOAuth 2.0認可コードグラントスコープを選択します。Azure Blob Storageで動的Webhookトリガーを設定するには、`Management`スコープが必要です。選択したスコープは、Azure Blob Storageとのコネクションを確立するために必要な最小スコープに追加されます。空白のままにすると、デフォルトのスコープが設定されます。これは、`Authentication type`が'Client credentials'ではない場合にのみ適用されます。",
"type": "string",
"delimiter": " "
},
{
"label": "OAuth 2.0クライアント認証情報スコープ",
"name": "client_credential_scopes",
"optional": true,
"hint": "このコネクションで要求する追加のOAuth 2.0クライアント認証情報グラントスコープを選択します。指定したスコープがAzureアプリ登録にも定義されていることを確認してください。Azure Blob Storageで動的Webhookトリガーを設定するには、`Management`スコープが必要です。選択したスコープは、Azure Blob Storageとのコネクションを確立するために必要な最小スコープに追加されます。空白のままにすると、デフォルトのスコープが設定されます。これは、`Authentication type`が'Client credentials'の場合にのみ適用されます。",
"type": "string",
"delimiter": " "
},
{
"label": "クライアントID",
"name": "client_id",
"optional": true,
"hint": "クライアントIDを取得するには、**Azure Portal > アプリの登録を選択 > アプリケーションを選択**に移動します。詳細については、Azureの`Authorize access to blobs by using Microsoft Entra ID`ドキュメントを参照してください: https://docs.microsoft.com/en-us/azure/storage/common/storage-auth-aad-app。認証タイプが`Client credentials`に設定されている場合は必須です。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": true,
"hint": "クライアントシークレットを取得するには、**Azure Portal > アプリの登録を選択 > アプリケーションを選択 > 証明書とシークレットを選択**に移動します。詳細については、Azureの`Authorize access to blobs by using Microsoft Entra ID`ドキュメントを参照してください: https://docs.microsoft.com/en-us/azure/storage/common/storage-auth-aad-app。認証タイプが`Client credentials`に設定されている場合は必須です。",
"type": "string"
},
{
"label": "アクセスキー",
"name": "access_key",
"optional": true,
"hint": "任意。**事前署名済みURLの生成**アクションのアクセスキーを入力します。アカウントのAzure Portalに移動し、このコネクションに使用するストレージアカウントを選択して、アクセスキーを取得します。",
"type": "string"
}
]
}
]
}Azure Key Vault
プロバイダー値:
"provider": "azure_key_vault"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "コンテナーURL",
"name": "vault_url",
"type": "string"
},
{
"label": "テナントID",
"name": "tenant_id",
"type": "string"
},
{
"label": "クライアントID",
"name": "client_id",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"type": "string"
}
]
}Azure Monitor
プロバイダー値:
"provider": "azure_monitor"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "authentication_type",
"optional": false,
"hint": "認証タイプを選択します。共有キーは非推奨のため、クライアント資格情報認証タイプの使用を推奨します。デフォルトはクライアント資格情報です。",
"type": "string",
"pick_list": [
[
"クライアント資格情報",
"client_credentials"
],
[
"共有キー",
"api_key"
]
]
},
{
"label": "テナントID",
"name": "tenant_id",
"optional": false,
"hint": "Open ConnectクライアントのテナントIDを入力します。これは、`Authentication type`が'クライアント資格情報'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントID",
"name": "client_id",
"optional": false,
"hint": "Open ConnectクライアントのクライアントIDを入力します。これは、`Authentication type`が'クライアント資格情報'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": false,
"hint": "Open Connectクライアントのクライアントシークレットを入力します。これは、`Authentication type`が'クライアント資格情報'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "データ収集エンドポイント",
"name": "host",
"optional": false,
"hint": "データ収集エンドポイントURLを入力します。例:https://your-instance-name.useast-1.ingest.monitor.azure.com。これは、`Authentication type`が'クライアント資格情報'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "ワークスペースID",
"name": "workspace_id",
"optional": false,
"hint": "Log AnalyticsワークスペースのIDを入力します。Log Analyticsワークスペースで**設定>Log Analytics**に移動し、**エージェント**をクリックしてこの値を取得します。これは、`Authentication type`が'共有キー'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "共有キー",
"name": "shared_key",
"optional": false,
"hint": "ワークスペースのプライマリキーまたはセカンダリキーを入力します。Log Analyticsワークスペースで**設定>Log Analytics**に移動し、**エージェント**をクリックしてこの値を取得します。これは、`Authentication type`が'共有キー'の場合にのみ適用されます。",
"type": "string"
}
]
}Azure OpenAI
プロバイダー値:
"provider": "azure_open_ai"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "authentication_type",
"optional": false,
"hint": "認証タイプを選択します。デフォルトはAPIキーに設定されています。",
"type": "string",
"pick_list": [
[
"APIキー",
"api_key"
],
[
"OAuth 2.0",
"oauth2_auth_code_grant"
]
]
},
{
"label": "APIキー",
"name": "api_key",
"optional": false,
"hint": "APIキーを指定します。これは認証タイプが'APIキー'の場合にのみ適用されます。詳細については、次のドキュメントを参照してください: https://learn.microsoft.com/en-us/azure/ai-services/openai/reference#authentication",
"type": "string"
},
{
"label": "クライアントID",
"name": "client_id",
"optional": false,
"hint": "AzureアプリケーションのOAuth 2.0クライアントIDを指定します。これは認証タイプが'OAuth 2.0'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": false,
"hint": "AzureアプリケーションのOAuth 2.0クライアントシークレットを指定します。これは認証タイプが'OAuth 2.0'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "サブドメイン",
"name": "sub_domain",
"optional": false,
"hint": "組織のサブドメインを入力します。",
"type": "string",
"url": ".openai.azure.com"
}
]
}BambooHR
プロバイダー値:
"provider": "bamboohr"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuth Token Pair",
"optional": true,
"type": "object",
"hint": "Allows you to create authorization code grant connections. You can create a shell connection in cases where you don't have an access token and refresh token.",
"properties": [
{
"label": "Access Token",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "Refresh Token",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "Authentication type",
"name": "authentication_type",
"optional": false,
"hint": "Choose how you want to authenticate. Defaults to 'api_token'.",
"type": "string",
"pick_list": [
[
"API Token",
"api_token"
],
[
"OAuth2.0",
"oauth2.0"
]
]
},
{
"label": "API token",
"name": "api_token",
"optional": false,
"hint": "Enter your sub-domain in the following URL to retrieve an API token: 'https://[sub-domain].bamboohr.com/settings/permissions/api.php'. This only applies when authentication type is 'api_token'.",
"type": "string"
},
{
"label": "Sub-domain",
"name": "subdomain",
"optional": false,
"hint": "Your BambooHR subdomain is most often your company name.",
"type": "string"
},
{
"label": "Advanced settings",
"name": "advanced_settings",
"optional": true,
"hint": "This only applies when authentication type is 'oauth2.0'.",
"type": "object",
"properties": [
{
"label": "OAuth scopes",
"name": "scope",
"optional": true,
"hint": "Select scopes (https://documentation.bamboohr.com/reference/scopes) to request for this connection. Defaults to the following scopes: 'openid', 'offline_access', 'email', 'public.user', 'employee_directory', 'employee', 'employee.write', 'employee:custom_fields', 'employee:custom_fields.write', 'employee:job', 'employee:job.write', 'employee:contact', 'employee:contact.write', 'employee:education', 'employee:education.write', 'employee:emergency_contacts', 'employee:emergency_contacts.write', 'employee:dependent', 'employee:dependent.write', 'employee:assets', 'employee:assets.write', 'employee:compensation', 'employee:compensation.write', 'employee:identification', 'employee:identification.write', 'employee:vaccination', 'employee:vaccination.write', 'employee:name', 'employee:name.write', 'employee:demographic', 'employee:demographic.write', 'employee:payroll', 'employee:payroll.write', 'employee:photo', 'employee:tabs', 'employee:tabs.write', 'employee:management', 'employee:management.write', 'sensitive_employee:address', 'sensitive_employee:address.write', 'sensitive_employee:creditcards', 'sensitive_employee:creditcards.write', 'benefit', 'benefit.write', 'time_off', 'time_off.write', 'report', 'field', 'user', 'webhooks'. The following are included in addition to any custom selected scopes: 'public.user', 'employee', 'offline_access', 'openid', 'email'. When 'public.integration' is selected, only 'offline_access' is included as a minimum scope instead; 'public.user', 'employee', 'openid' and 'email' are incompatible with 'public.integration' and aren't appended. Separate multiple values with spaces.",
"type": "string",
"delimiter": " ",
"options": [
[
"Employee - Write",
"employee.write"
],
[
"Employee - Assets",
"employee:assets"
],
[
"Employee - Assets Write",
"employee:assets.write"
],
[
"Employee - Compensation",
"employee:compensation"
],
[
"Employee - Compensation Write",
"employee:compensation.write"
],
[
"Employee - Contact",
"employee:contact"
],
[
"Employee - Contact Write",
"employee:contact.write"
],
[
"Employee - Custom Fields",
"employee:custom_fields"
],
[
"Employee - Custom Fields Write",
"employee:custom_fields.write"
],
[
"Employee - Custom Fields Encrypted",
"employee:custom_fields_encrypted"
],
[
"Employee - Custom Fields Encrypted Write",
"employee:custom_fields_encrypted.write"
],
[
"Employee - Demographic",
"employee:demographic"
],
[
"Employee - Demographic Write",
"employee:demographic.write"
],
[
"Employee - Dependent",
"employee:dependent"
],
[
"Employee - Dependent Write",
"employee:dependent.write"
],
[
"Employee - Dependent SSN",
"employee:dependent:ssn"
],
[
"Employee - Dependent SSN Write",
"employee:dependent:ssn.write"
],
[
"Employee - Education",
"employee:education"
],
[
"Employee - Education Write",
"employee:education.write"
],
[
"Employee - Emergency Contacts",
"employee:emergency_contacts"
],
[
"Employee - Emergency Contacts Write",
"employee:emergency_contacts.write"
],
[
"Employee - File",
"employee:file"
],
[
"Employee - File Write",
"employee:file.write"
],
[
"Employee - Identification",
"employee:identification"
],
[
"Employee - Identification Write",
"employee:identification.write"
],
[
"Employee - Job",
"employee:job"
],
[
"Employee - Job Write",
"employee:job.write"
],
[
"Employee - Management",
"employee:management"
],
[
"Employee - Management Write",
"employee:management.write"
],
[
"Employee - Name",
"employee:name"
],
[
"Employee - Name Write",
"employee:name.write"
],
[
"Employee - Payroll",
"employee:payroll"
],
[
"Employee - Payroll Write",
"employee:payroll.write"
],
[
"Employee - Photo",
"employee:photo"
],
[
"Employee - Photo Write",
"employee:photo.write"
],
[
"Employee - Providers",
"employee:providers"
],
[
"Employee - Providers Write",
"employee:providers.write"
],
[
"Employee - Providers Payroll",
"employee:providers:payroll"
],
[
"Employee - Providers Payroll Write",
"employee:providers:payroll.write"
],
[
"Employee - Tabs",
"employee:tabs"
],
[
"Employee - Tabs Write",
"employee:tabs.write"
],
[
"Employee - Vaccination",
"employee:vaccination"
],
[
"Employee - Vaccination Write",
"employee:vaccination.write"
],
[
"Employee Directory",
"employee_directory"
],
[
"Company - Administration",
"company:administration"
],
[
"Company - Administration Write",
"company:administration.write"
],
[
"Company - Info",
"company:info"
],
[
"Company - Details",
"company:details"
],
[
"Company - Details Write",
"company:details.write"
],
[
"Company - File",
"company_file"
],
[
"Company - File Write",
"company_file.write"
],
[
"Sensitive Employee - Address",
"sensitive_employee:address"
],
[
"Sensitive Employee - Address Write",
"sensitive_employee:address.write"
],
[
"Sensitive Employee - Credit Cards",
"sensitive_employee:creditcards"
],
[
"Sensitive Employee - Credit Cards Write",
"sensitive_employee:creditcards.write"
],
[
"Sensitive Employee - Protected Info",
"sensitive_employee:protected_info"
],
[
"Sensitive Employee - Protected Info Write",
"sensitive_employee:protected_info.write"
],
[
"Hiring - Applications",
"hiring:applications"
],
[
"Hiring - Applications Write",
"hiring:applications.write"
],
[
"Hiring - Job Openings",
"hiring:job_openings"
],
[
"Hiring - Job Openings Write",
"hiring:job_openings.write"
],
[
"Hiring - Checkr",
"hiring:checkr"
],
[
"Hiring - Checkr Write",
"hiring:checkr.write"
],
[
"Hiring - Offers",
"hiring:offers"
],
[
"Hiring - Offers Write",
"hiring:offers.write"
],
[
"Hiring - Settings",
"hiring:settings"
],
[
"Hiring - Settings Write",
"hiring:settings.write"
],
[
"Hiring - Talent Pools",
"hiring:talent_pools"
],
[
"Hiring - Talent Pools Write",
"hiring:talent_pools.write"
],
[
"Benefit",
"benefit"
],
[
"Benefit Write",
"benefit.write"
],
[
"Data Cleaner",
"data_cleaner"
],
[
"Data Cleaner Write",
"data_cleaner.write"
],
[
"Error Management",
"error_management"
],
[
"Error Management Write",
"error_management.write"
],
[
"Goal",
"goal"
],
[
"Goal Write",
"goal.write"
],
[
"Tasks",
"tasks"
],
[
"Tasks Write",
"tasks.write"
],
[
"Access Level",
"access_level"
],
[
"Benchmarking Compensation",
"benchmarking:compensation"
],
[
"Compensation Benchmarks",
"compensation_benchmarks"
],
[
"Compensation Benchmarks Write",
"compensation_benchmarks.write"
],
[
"Field",
"field"
],
[
"Field Write",
"field.write"
],
[
"Gridlets",
"gridlets"
],
[
"Meta",
"meta"
],
[
"Training",
"training"
],
[
"Training Write",
"training.write"
],
[
"User",
"user"
],
[
"User Management",
"user:management"
],
[
"User Management Write",
"user:management.write"
],
[
"Webhooks",
"webhooks"
],
[
"Webhooks Write",
"webhooks.write"
],
[
"Payroll",
"payroll"
],
[
"Payroll Write",
"payroll.write"
],
[
"Payroll - ACH Returns",
"payroll:ach_returns"
],
[
"Payroll - ACH Returns Write",
"payroll:ach_returns.write"
],
[
"Payroll - Beneficial Owners",
"payroll:beneficial_owners"
],
[
"Payroll - Beneficial Owners Write",
"payroll:beneficial_owners.write"
],
[
"Payroll - Earnings",
"payroll:earnings"
],
[
"Payroll - Legal Entities",
"payroll:legal_entities"
],
[
"Payroll - Pay Cycles",
"payroll:pay_cycles"
],
[
"Payroll - Pay Periods",
"payroll:pay_periods"
],
[
"Payroll - Pay Schedules",
"payroll:pay_schedules"
],
[
"Payroll - Pay Stubs",
"payroll:pay_stubs"
],
[
"Payroll - Payrolls",
"payroll:payrolls"
],
[
"Payroll - Retirements",
"payroll:retirements"
],
[
"Report",
"report"
],
[
"Time Off",
"time_off"
],
[
"Time Off Write",
"time_off.write"
],
[
"Time Tracking",
"time_tracking"
],
[
"Time Tracking Write",
"time_tracking.write"
],
[
"Public Integration",
"public.integration"
],
[
"Public User",
"public.user"
]
]
}
]
}
]
}Basecamp 2
プロバイダー値:
"provider": "basecamp"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントのコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "アカウントID",
"name": "account_id",
"hint": "アカウントIDは、ログイン時にブラウザーに表示されるURLの数字部分です。たとえば、次のURLでは'2551808'がアカウントIDです:'https://basecamp.com/2551808/'。",
"type": "integer"
}
]
}Bigtincan
プロバイダー値:
"provider": "bigtincan"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンおよびリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": []
}Bill.com
プロバイダー値:
"provider": "bill"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "ユーザー名",
"name": "userName",
"hint": "ユーザーのメールアドレスを入力してください。",
"type": "string"
},
{
"label": "パスワード",
"name": "password",
"hint": "ユーザーのパスワードを入力してください。",
"type": "string"
},
{
"label": "組織ID",
"name": "orgId",
"hint": "このIDの取得方法については、次のドキュメントを参照してください:'https://developer.bill.com/v2/docs/sign-up-process#retrieve-organization-id-with-the-api'。",
"type": "string"
},
{
"label": "Environment",
"name": "environment",
"optional": false,
"hint": "詳細については、サンドボックス環境の詳細(https://developer.bill.com/hc/en-us/articles/360035430211-Sandbox-Environment)またはプロダクション環境の詳細(https://developer.bill.com/hc/en-us/articles/360035431311-Production-Environment)を参照してください。デフォルトは'api'です。",
"type": "string",
"pick_list": [
[
"プロダクション",
"api"
],
[
"サンドボックス",
"api-stage"
]
]
},
{
"label": "開発者キー",
"name": "devKey",
"optional": true,
"hint": "任意。開発者キーを入力してください。指定しない場合は、デフォルトのキーが使用されます。開発者キーを取得するには、次のドキュメントを参照してください:https://developer.bill.com/docs/api-sandbox-sign-up#generate-developer-key",
"type": "string"
}
]
}BIM 360
プロバイダー値:
"provider": "bim360"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントのコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "詳細設定",
"name": "custom_oauth",
"optional": true,
"hint": "カスタムAutodesk Platform Services (APS) OAuthアプリのクライアントIDとシークレットを入力します。BIM 360インスタンスが米国外にある場合は必須です。カスタムAPS OAuthアプリの作成方法については、次のドキュメントを参照してください:'https://aps.autodesk.com/en/docs/oauth/v2/tutorials/create-app/'。",
"type": "object",
"properties": [
{
"label": "クライアントID",
"name": "client_id",
"optional": true,
"hint": "カスタムOAuthコネクションを設定するためのクライアントIDを入力します。クライアントIDの生成方法については、次のドキュメントを参照してください:'https://docs.workato.com/connectors/bim360.html#how-to-connect-to-bim-360-on-workato'。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": true,
"hint": "カスタムOAuthコネクションを設定するためのクライアントシークレットを入力します。クライアントシークレットの生成方法については、次のドキュメントを参照してください:'https://docs.workato.com/connectors/bim360.html#how-to-connect-to-bim-360-on-workato'。",
"type": "string"
},
{
"label": "要求する権限(OAuthスコープ)",
"name": "scopes",
"optional": true,
"hint": "このコネクションで要求する権限を選択します。空欄の場合、デフォルトは'user:read'、'account:read'、'data:write'、'data:read'、'data:create'、'account:write'です。選択リストから権限を選択すると、デフォルトの権限が上書きされます。最低限必要な権限は'user-profile:read'で、選択した権限に加えて常に要求されます。複数の値はスペースで区切ります。スコープの詳細については、次のドキュメントを参照してください:'https://aps.autodesk.com/en/docs/oauth/v2/developers_guide/scopes'。",
"type": "string",
"options": [
[
"user:read",
"user:read"
],
[
"account:read",
"account:read"
],
[
"data:write",
"data:write"
],
[
"data:read",
"data:read"
],
[
"data:create",
"data:create"
],
[
"account:write",
"account:write"
]
]
}
]
}
]
}Bitbucket
プロバイダー値:
"provider": "bitbucket"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuth Token Pair",
"optional": true,
"type": "object",
"hint": "承認コードグラントコネクションを作成できます。アクセスコネクションとリフレッシュトークンがまだない場合にシェルコネクションを作成できます。",
"properties": [
{
"label": "Access Token",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "Refresh Token",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "Bitbucket hostname",
"name": "hostname",
"optional": true,
"hint": "サーバーのホスト(および任意のポート)。例えば 'http://localhost:7990/rest/api'。これはオンプレミスエージェントを使用する場合にのみ適用されます。",
"type": "string"
}
]
}Box
プロバイダー値:
"provider": "box"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントのコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "authentication_type",
"optional": false,
"hint": "コネクションの認証タイプを選択します。デフォルトは'oauth2_auth_code_grant'です。",
"type": "string",
"pick_list": [
[
"認可コードグラント",
"oauth2_auth_code_grant"
],
[
"クライアント資格情報",
"client_credentials"
],
[
"JWT",
"jwt"
]
]
},
{
"label": "詳細設定",
"name": "advanced_settings",
"optional": true,
"hint": "認証タイプが'oauth2_auth_code_grant'の場合にのみ適用されます。",
"type": "object",
"properties": [
{
"label": "要求する権限(OAuthスコープ)",
"name": "api_scope",
"optional": true,
"hint": "このコネクションで要求する権限(https://developer.box.com/docs/scopes)を選択します。デフォルトのスコープは、'root_readonly'、'root_readwrite'、'manage_app_users'、'manage_managed_users'、'manage_groups'、'manage_webhook'です。選択リストから権限を選択すると、デフォルトの権限が上書きされます。必要な最小限の権限は'root_readonly'であり、選択した権限に加えて常に要求されます。複数の値はカンマで区切ります。",
"type": "string",
"delimiter": ",",
"options": [
[
"ファイルとフォルダーの読み取り",
"root_readonly"
],
[
"ファイルとフォルダーの読み取りと書き込み",
"root_readwrite"
],
[
"アプリユーザーの管理",
"manage_app_users"
],
[
"管理対象ユーザーの管理",
"manage_managed_users"
],
[
"グループの管理",
"manage_groups"
],
[
"Webhookの管理",
"manage_webhook"
],
[
"企業プロパティの管理",
"manage_enterprise_properties"
],
[
"保持ポリシーの管理",
"manage_data_retention"
],
[
"グローバルコンテンツマネージャー",
"gcm"
],
[
"管理者によるユーザーに代わっての呼び出し",
"admin_on_behalf_of"
],
[
"署名リクエストの管理",
"sign_requests.readwrite"
],
[
"Box AI APIの管理",
"ai.readwrite"
],
[
"Box Relayの管理",
"manage_triggers"
]
]
}
]
},
{
"label": "クライアントID",
"name": "client_id",
"hint": "クライアントIDを入力します。認証タイプが'client_credentials'または'jwt'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"hint": "クライアントシークレットを入力します。認証タイプが'client_credentials'または'jwt'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "サブジェクトタイプ",
"name": "subject_type",
"hint": "認証のサブジェクトタイプを選択します。認証タイプが'client_credentials'または'jwt'の場合にのみ適用されます。デフォルトは'user'です。",
"type": "string",
"pick_list": [
[
"サービスアカウント",
"enterprise"
],
[
"管理対象ユーザー",
"user"
]
]
},
{
"label": "企業ID",
"name": "enterprise_id",
"hint": "企業IDを入力します。認証タイプが'client_credentials'または'jwt'で、サブジェクトタイプが'enterprise'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "ユーザーID",
"name": "user_id",
"hint": "ユーザーIDを入力します。認証タイプが'client_credentials'または'jwt'で、サブジェクトタイプが'user'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "秘密鍵",
"name": "private_key",
"hint": "JWT署名用のRSA秘密鍵を入力します。これは、Boxアプリで設定された公開鍵に対応する秘密鍵です。認証タイプが'jwt'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "秘密鍵のパスフレーズ",
"name": "private_key_passphrase",
"optional": true,
"hint": "任意です。秘密鍵が暗号化されている場合は、そのパスフレーズを入力します。認証タイプが'jwt'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "公開鍵ID",
"name": "public_key_id",
"optional": true,
"hint": "JWTの署名に使用する公開鍵のIDを入力します。アプリケーションで複数の鍵ペアが定義されている場合に使用します。認証タイプが'jwt'の場合にのみ適用されます。",
"type": "string"
}
]
}Braintree
プロバイダー値:
"provider": "braintree"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "マーチャントID",
"name": "merchant_id",
"optional": false,
"hint": "BraintreeコントロールパネルのSettings(設定)>APIからマーチャントIDを入力してください。",
"type": "string"
},
{
"label": "公開キー",
"name": "public_key",
"optional": false,
"hint": "BraintreeコントロールパネルのSettings(設定)>APIから公開キーを入力してください。",
"type": "string"
},
{
"label": "秘密キー",
"name": "private_key",
"optional": false,
"hint": "BraintreeコントロールパネルのSettings(設定)>APIから秘密キーを入力してください。",
"type": "string"
},
{
"label": "Environment",
"name": "environment",
"optional": false,
"hint": "デフォルトは'PRODUCTION'です。",
"type": "string",
"pick_list": [
[
"プロダクション",
"PRODUCTION"
],
[
"サンドボックス",
"SANDBOX"
]
]
}
]
} ごBrickFTP
プロバイダー値:
"provider": "brick_ftp"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "API Key",
"name": "api_key",
"hint": "RESTを有効にしてAPIキーを取得するには 'https://yoursite.brickftp.com/sites/edit?group=api' に移動します。",
"type": "string"
}
]
}Bynder
プロバイダー値:
"provider": "bynder"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントのコネクションを作成できます。アクセストークンとリフレッシュトークンがまだない場合に、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "ドメイン",
"name": "base_url",
"optional": false,
"hint": "Bynder URLに含まれるBynderドメインを入力します。たとえば、次のURLでは 'https://acme.getbynder.com' 、ドメインは 'acme.getbynder.com' です。",
"type": "string"
},
{
"label": "詳細設定",
"name": "advanced_settings",
"optional": true,
"type": "object",
"properties": [
{
"label": "スコープ",
"name": "scopes",
"optional": true,
"hint": "このコネクションでリクエストするスコープを指定します。デフォルトでリクエストするスコープについては、次のドキュメントを参照してください: https://docs.workato.com/connectors/bynder.html。複数の値を指定する場合は、空白で区切ります。",
"type": "string",
"delimiter": " ",
"options": [
[
"アセット利用状況の読み取り",
"asset.usage:read"
],
[
"アセットの読み取り",
"asset:read"
],
[
"アセットの書き込み",
"asset:write"
],
[
"アセット利用状況の作成および削除",
"asset.usage:write"
],
[
"コレクションの読み取り",
"collection:read"
],
[
"コレクションの書き込み",
"collection:write"
],
[
"メタプロパティおよび依存関係の作成および削除",
"meta.assetbank:write"
],
[
"ワークフローキャンペーンの読み取り",
"workflow.campaign:read"
],
[
"ワークフローキャンペーンの書き込み",
"workflow.campaign:write"
],
[
"ワークフローグループの読み取り",
"workflow.group:read"
],
[
"ワークフローグループの書き込み",
"workflow.group:write"
],
[
"ワークフロージョブの読み取り",
"workflow.job:read"
],
[
"ワークフロージョブの書き込み",
"workflow.job:write"
],
[
"ワークフロープリセットの読み取り",
"workflow.preset:read"
],
[
"Brandstore注文の読み取り",
"brandstore.order:read"
],
[
"Brandstore注文の書き込み",
"brandstore.order:write"
],
[
"メタワークフローの読み取り",
"meta.workflow:read"
],
[
"現在のプロファイルの読み取り",
"current.profile:read"
],
[
"現在のユーザーの読み取り",
"current.user:read"
],
[
"管理者プロファイルの読み取り",
"admin.profile:read"
],
[
"管理者ユーザーの読み取り",
"admin.user:read"
],
[
"管理者ユーザーの書き込み",
"admin.user:write"
]
]
}
]
}
]
}Callable recipes by Workato
プロバイダー値:
"provider": "workato_service"このコネクターでは、コネクションパラメータ設定は不要です。
CandidateZip
プロバイダー値:
"provider": "candidate_zip"Celonis
プロバイダー値:
"provider": "celonis"このコネクターでは、コネクションパラメータ設定は不要です。
Chargebee
プロバイダー値:
"provider": "chargebee"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "APIキー",
"name": "api_key",
"optional": false,
"hint": "API v1およびv2にアクセスできるChargebee APIキーを入力してください。",
"type": "string"
},
{
"label": "サブドメイン",
"name": "subdomain",
"optional": false,
"hint": "Chargebeeのサブドメインを入力してください。",
"type": "string"
},
{
"label": "製品カタログ",
"name": "product_catalog",
"optional": false,
"hint": "このコネクションで使用するChargebeeの製品カタログを選択してください。デフォルトは'PC 2.0'です。",
"type": "string",
"pick_list": [
[
"PC 1.0",
"PC 1.0"
],
[
"PC 2.0",
"PC 2.0"
]
]
}
]
}Chatter
プロバイダー値:
"provider": "chatter"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントコネクションを作成できます。アクセストークンおよびリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": []
}Cisco Webex Teams
プロバイダー値:
"provider": "cisco_spark"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントのコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、空のコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "authentication_type",
"optional": false,
"hint": "認証タイプを選択します。デフォルトは'oauth2_auth_code_grant'です。",
"type": "string",
"pick_list": [
[
"OAuth 2.0",
"oauth2_auth_code_grant"
],
[
"ボットアクセストークン",
"bot_token"
]
]
},
{
"label": "ボットアクセストークン",
"name": "access_token",
"optional": false,
"hint": "ボットアクセストークンを入力します。開発者ポータルでボットを作成し、アクセストークンを取得するには、次のURLを参照してください:'https://developer.webex.com/docs/bots'。これは、認証タイプが'bot_token'の場合にのみ適用されます。",
"type": "string"
}
]
}Clearbit
プロバイダー値:
"provider": "clearbit"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "APIキー",
"name": "api_key",
"optional": true,
"hint": "Clearbit APIキーを入力してください。この値を取得するには、次のページを参照してください: 'https://dashboard.clearbit.com/keys'",
"type": "string"
}
]
}Cloud Watch
プロバイダー値:
"provider": "cloud_watch"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "認証タイプ",
"name": "auth_type",
"optional": false,
"hint": "このコネクションに使用する認証タイプを指定します。デフォルトは'key_secret'です。詳細については、AWS Cloud Watchの認可ガイドを参照してください:'https://docs.workato.com/connectors/s3/connection-setup.html#how-to-connect-to-amazon-s3-on-workato'。",
"type": "string",
"pick_list": [
[
"アクセスキー",
"key_secret"
],
[
"IAMロール",
"role_based"
]
]
},
{
"label": "IAMロールARN",
"name": "assume_role",
"optional": false,
"hint": "IAMロールARNを入力します。Workatoは、Workatoユーザーごとに'workato-user-84762'などの一意の外部IDを生成します。Amazon S3でIAMロールを作成する際は、この外部IDを指定し、次のAWSガイドに記載されているすべてのポリシーを含める必要があります:(https://docs.aws.amazon.com/lambda/latest/dg/lambda-intro-execution-role.html#permissions-executionrole-features)。詳細については、次のドキュメントを参照してください:https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html。これは、認証タイプが'role_based'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "アクセスキーID",
"name": "api_key",
"optional": false,
"hint": "APIキーを入力します。AWSアカウントにサインインし、'マイセキュリティ認証情報>ユーザー'に移動して、この値を取得します。これは、認証タイプが'key_secret'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "シークレットアクセスキー",
"name": "secret_key",
"optional": false,
"hint": "シークレットキーを入力します。AWSアカウントにサインインし、'マイセキュリティ認証情報>ユーザー'に移動して、この値を取得します。これは、認証タイプが'key_secret'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "AWSリージョンを入力します。たとえば、次のアカウントURLでは、'eu-west-1'がリージョンです:'https://eu-west-1.console.aws.amazon.com'",
"type": "string"
},
{
"label": "外部ID",
"name": "external_id",
"optional": true,
"hint": "新しいIAMロールに移行する場合は、このフィールドの現在の値を新しいロール定義の外部IDとして使用します。詳細については、次のドキュメントを参照してください:'https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_create_for-user.html'。これは、認証タイプが'role_based'で、外部IDが設定されている場合にのみ適用されます。",
"type": "string"
}
]
}Codeship
プロバイダー値:
"provider": "codeship"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "API key",
"name": "api_key",
"optional": false,
"hint": "CodeshipのAPIキーを入力します。この値を取得するには、Codeshipにサインインし、「My Account > Account settings」に移動します。",
"type": "string"
}
]
}コレクション by Workato
プロバイダー値:
"provider": "workato_smart_list"Confluence
プロバイダー値:
"provider": "confluence"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コード付与方式のコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "auth_type",
"type": "string",
"pick_list": [
[
"基本認証",
"basic"
],
[
"APIトークン",
"api_token"
],
[
"OAuth 2.0",
"oauth"
]
]
},
{
"label": "Confluenceサブドメイン",
"name": "subdomain",
"optional": false,
"hint": "URLに含まれるConfluenceサブドメインを入力してください。オンプレミスエージェントを使用する場合は適用されません。",
"type": "string"
},
{
"label": "ConfluenceルートURI",
"name": "root_uri",
"optional": false,
"hint": "ConfluenceホストのルートURI(プロトコル、任意のポート、ホスト名)を入力してください。例:'https://confluence.intranet.acme.com:7654'。ほとんどの組み込みアクションはConfluence Cloudのみをサポートしています。Data Centerにはカスタムアクションを使用してください。このフィールドは、オンプレミスエージェントを使用する場合にのみ適用されます。",
"type": "string"
},
{
"label": "メールアドレス",
"name": "email",
"hint": "認証タイプが'api_token'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "APIトークン",
"name": "apitoken",
"hint": "Confluence APIトークンを入力してください。この値を取得するには、次のページを参照してください:'https://id.atlassian.com/manage/api-tokens'。認証タイプが'api_token'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "ユーザー名",
"name": "username",
"hint": "ユーザー名(メールアドレスではありません)を入力してください。認証タイプが'basic'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "パスワード",
"name": "password",
"hint": "パスワードを入力してください。認証タイプが'basic'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントID",
"name": "client_id",
"optional": false,
"hint": "クライアントIDを入力してください。認証タイプが'oauth'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": false,
"hint": "クライアントシークレットを入力してください。認証タイプが'oauth'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "詳細設定",
"name": "advanced_settings",
"optional": true,
"hint": "認証タイプが'oauth'の場合にのみ適用されます。",
"type": "object",
"properties": [
{
"label": "クラシックスコープ",
"name": "scopes",
"optional": true,
"hint": "このコネクションで要求するクラシックスコープ(https://developer.atlassian.com/cloud/confluence/scopes-for-oauth-2-3LO-and-forge-apps/)を選択してください。クライアントに使用が許可されているスコープのみを指定してください。選択したスコープはデフォルトのスコープを上書きします。空欄の場合、デフォルトで'read:confluence-groups'、'read:confluence-content.summary'、'write:confluence-content'、'search:confluence'が使用されます。ConfluenceルートURIが設定されていない場合にのみ適用されます。複数の値はスペースで区切ってください。",
"type": "string",
"options": [
[
"Confluenceコンテンツの書き込み",
"write:confluence-content"
],
[
"Confluenceスペースの概要の読み取り",
"read:confluence-space.summary"
],
[
"Confluenceスペースの詳細の管理",
"write:confluence-space"
],
[
"Confluence添付ファイルのアップロード",
"write:confluence-file"
],
[
"Confluenceコンテンツプロパティの読み取り",
"read:confluence-props"
],
[
"Confluenceコンテンツプロパティの書き込み",
"write:confluence-props"
],
[
"Confluenceグローバル設定の管理",
"manage:confluence-configuration"
],
[
"Confluenceの詳細なコンテンツの読み取り",
"read:confluence-content.all"
],
[
"Confluenceコンテンツの概要の読み取り",
"read:confluence-content.summary"
],
[
"Confluenceコンテンツおよびスペースの概要の検索",
"search:confluence"
],
[
"Confluenceのコンテンツ権限の読み取り",
"read:confluence-content.permission"
],
[
"ユーザーの読み取り",
"read:confluence-user"
],
[
"ユーザーグループの読み取り",
"read:confluence-groups"
],
[
"ユーザーグループの作成、削除、更新",
"write:confluence-groups"
],
[
"コンテンツ添付ファイルのダウンロード",
"readonly:content.attachment:confluence"
]
]
},
{
"label": "詳細スコープ",
"name": "granular_scopes",
"optional": true,
"hint": "このコネクションで要求する詳細スコープ(https://developer.atlassian.com/cloud/confluence/scopes-for-oauth-2-3LO-and-forge-apps/#granular-scopes)を選択してください。クライアントに使用が許可されているスコープのみを指定してください。ConfluenceルートURIが設定されていない場合にのみ適用されます。複数の値はスペースで区切ってください。",
"type": "string",
"options": [
[
"コンテンツの表示",
"read:content:confluence"
],
[
"コンテンツの詳細の表示",
"read:content-details:confluence"
],
[
"コンテンツの作成と更新",
"write:content:confluence"
],
[
"コンテンツの削除",
"delete:content:confluence"
],
[
"スペースの詳細の表示",
"read:space-details:confluence"
],
[
"コンテンツの分析情報の表示",
"read:analytics.content:confluence"
],
[
"監査レコードの表示",
"read:audit-log:confluence"
],
[
"監査レコードの作成",
"write:audit-log:confluence"
],
[
"Confluence設定の表示",
"read:configuration:confluence"
],
[
"Confluence設定の更新",
"write:configuration:confluence"
],
[
"ページの表示",
"read:page:confluence"
],
[
"ページの作成と更新",
"write:page:confluence"
],
[
"ページの削除",
"delete:page:confluence"
],
[
"ブログ投稿の表示",
"read:blogpost:confluence"
],
[
"ブログ投稿の作成と更新",
"write:blogpost:confluence"
],
[
"ブログ投稿の削除",
"delete:blogpost:confluence"
],
[
"ホワイトボードの表示",
"read:whiteboard:confluence"
],
[
"ホワイトボードの作成と更新",
"write:whiteboard:confluence"
],
[
"ホワイトボードの削除",
"delete:whiteboard:confluence"
],
[
"データベースの表示",
"read:database:confluence"
],
[
"データベースの作成と更新",
"write:database:confluence"
],
[
"データベースの削除",
"delete:database:confluence"
],
[
"コンテンツツリー内のSmart Linksの表示",
"read:embed:confluence"
],
[
"コンテンツツリー内のSmart Linksの作成と更新",
"write:embed:confluence"
],
[
"コンテンツツリー内のSmart Linksの削除",
"delete:embed:confluence"
],
[
"フォルダの表示",
"read:folder:confluence"
],
[
"フォルダの作成と更新",
"write:folder:confluence"
],
[
"フォルダの削除",
"delete:folder:confluence"
],
[
"カスタムコンテンツの表示",
"read:custom-content:confluence"
],
[
"カスタムコンテンツの作成と更新",
"write:custom-content:confluence"
],
[
"カスタムコンテンツの削除",
"delete:custom-content:confluence"
],
[
"コンテンツ添付ファイルの表示とダウンロード",
"read:attachment:confluence"
],
[
"コンテンツ添付ファイルの作成と更新",
"write:attachment:confluence"
],
[
"コンテンツ添付ファイルの削除",
"delete:attachment:confluence"
],
[
"コメントの表示",
"read:comment:confluence"
],
[
"コメントの作成と更新",
"write:comment:confluence"
],
[
"コメントの削除",
"delete:comment:confluence"
],
[
"コンテンツテンプレートの表示",
"read:template:confluence"
],
[
"コンテンツテンプレートの作成、更新、削除",
"write:template:confluence"
],
[
"ラベルの表示",
"read:label:confluence"
],
[
"ラベルの追加と削除",
"write:label:confluence"
],
[
"コンテンツ権限の確認",
"read:content.permission:confluence"
],
[
"コンテンツプロパティの表示",
"read:content.property:confluence"
],
[
"コンテンツプロパティの作成、更新、削除",
"write:content.property:confluence"
],
[
"コンテンツ制限の表示",
"read:content.restriction:confluence"
],
[
"コンテンツ制限の更新",
"write:content.restriction:confluence"
],
[
"コンテンツの概要の表示",
"read:content.metadata:confluence"
],
[
"階層コンテンツの読み取り",
"read:hierarchical-content:confluence"
],
[
"コンテンツ、スペース、またはラベルのウォッチャーの表示",
"read:watcher:confluence"
],
[
"コンテンツ、スペース、またはラベルのウォッチャーの追加と削除",
"write:watcher:confluence"
],
[
"グループの表示",
"read:group:confluence"
],
[
"グループの作成、更新、削除",
"write:group:confluence"
],
[
"インラインタスクの表示",
"read:inlinetask:confluence"
],
[
"インラインタスクのステータスの設定",
"write:inlinetask:confluence"
],
[
"エンティティ間の関係の表示",
"read:relation:confluence"
],
[
"エンティティ間の関係の作成と更新",
"write:relation:confluence"
],
[
"スペースの表示",
"read:space:confluence"
],
[
"スペースの作成と更新",
"write:space:confluence"
],
[
"スペースの削除",
"delete:space:confluence"
],
[
"スペース権限の表示",
"read:space.permission:confluence"
],
[
"スペース権限の更新",
"write:space.permission:confluence"
],
[
"スペースプロパティの表示",
"read:space.property:confluence"
],
[
"スペースプロパティの作成、更新、削除",
"write:space.property:confluence"
],
[
"ユーザープロパティの表示",
"read:user.property:confluence"
],
[
"ユーザープロパティの作成、更新、削除",
"write:user.property:confluence"
],
[
"スペース設定の表示",
"read:space.setting:confluence"
],
[
"スペース設定の更新",
"write:space.setting:confluence"
],
[
"ユーザーの詳細の表示",
"read:user:confluence"
],
[
"タスクの表示",
"read:task:confluence"
],
[
"タスクの更新",
"write:task:confluence"
],
[
"メールアドレスの読み取り",
"read:email-address:confluence"
]
]
},
{
"label": "セルフホストスコープ",
"name": "self_hosted_scopes",
"optional": true,
"hint": "このコネクションで要求するスコープ(https://confluence.atlassian.com/doc/oauth-2-0-scopes-for-incoming-links-1115674734.html)を選択してください。クライアントに使用が許可されているスコープのみを指定してください。選択したスコープはデフォルトのスコープを上書きします。空欄の場合、デフォルトで'READ'、'WRITE'、'ADMIN'が使用されます。ConfluenceルートURIが設定されている場合にのみ適用されます。複数の値はスペースで区切ってください。",
"type": "string",
"options": [
[
"コンテンツの表示",
"READ"
],
[
"コンテンツの作成、更新、削除",
"WRITE"
],
[
"Confluenceの管理",
"ADMIN"
],
[
"Confluenceシステムの管理",
"SYSTEM_ADMIN"
],
[
"すべてのコンテンツの読み取り",
"READ_ALL"
],
[
"サブスクリプションの管理",
"MANAGE_SUBSCRIPTIONS"
]
]
}
]
}
]
}Confluence(セカンダリ)
プロバイダー値:
"provider": "confluence_secondary"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コード付与方式のコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、シェルコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "認証タイプ",
"name": "auth_type",
"type": "string",
"pick_list": [
[
"基本認証",
"basic"
],
[
"APIトークン",
"api_token"
],
[
"OAuth 2.0",
"oauth"
]
]
},
{
"label": "Confluenceサブドメイン",
"name": "subdomain",
"optional": false,
"hint": "URLに含まれるConfluenceサブドメインを入力してください。オンプレミスエージェントを使用する場合は適用されません。",
"type": "string"
},
{
"label": "ConfluenceルートURI",
"name": "root_uri",
"optional": false,
"hint": "ConfluenceホストのルートURI(プロトコル、任意のポート、ホスト名)を入力してください。例:'https://confluence.intranet.acme.com:7654'。ほとんどの組み込みアクションはConfluence Cloudのみをサポートしています。Data Centerにはカスタムアクションを使用してください。このフィールドは、オンプレミスエージェントを使用する場合にのみ適用されます。",
"type": "string"
},
{
"label": "メールアドレス",
"name": "email",
"hint": "認証タイプが'api_token'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "APIトークン",
"name": "apitoken",
"hint": "Confluence APIトークンを入力してください。この値を取得するには、次のページを参照してください:'https://id.atlassian.com/manage/api-tokens'。認証タイプが'api_token'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "ユーザー名",
"name": "username",
"hint": "ユーザー名(メールアドレスではありません)を入力してください。認証タイプが'basic'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "パスワード",
"name": "password",
"hint": "パスワードを入力してください。認証タイプが'basic'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントID",
"name": "client_id",
"optional": false,
"hint": "クライアントIDを入力してください。認証タイプが'oauth'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": false,
"hint": "クライアントシークレットを入力してください。認証タイプが'oauth'の場合にのみ適用されます。",
"type": "string"
},
{
"label": "詳細設定",
"name": "advanced_settings",
"optional": true,
"hint": "認証タイプが'oauth'の場合にのみ適用されます。",
"type": "object",
"properties": [
{
"label": "クラシックスコープ",
"name": "scopes",
"optional": true,
"hint": "このコネクションで要求するクラシックスコープ(https://developer.atlassian.com/cloud/confluence/scopes-for-oauth-2-3LO-and-forge-apps/)を選択してください。クライアントに使用が許可されているスコープのみを指定してください。選択したスコープはデフォルトのスコープを上書きします。空欄の場合、デフォルトで'read:confluence-groups'、'read:confluence-content.summary'、'write:confluence-content'、'search:confluence'が使用されます。ConfluenceルートURIが設定されていない場合にのみ適用されます。複数の値はスペースで区切ってください。",
"type": "string",
"options": [
[
"Confluenceコンテンツの書き込み",
"write:confluence-content"
],
[
"Confluenceスペースの概要の読み取り",
"read:confluence-space.summary"
],
[
"Confluenceスペースの詳細の管理",
"write:confluence-space"
],
[
"Confluence添付ファイルのアップロード",
"write:confluence-file"
],
[
"Confluenceコンテンツプロパティの読み取り",
"read:confluence-props"
],
[
"Confluenceコンテンツプロパティの書き込み",
"write:confluence-props"
],
[
"Confluenceグローバル設定の管理",
"manage:confluence-configuration"
],
[
"Confluenceの詳細なコンテンツの読み取り",
"read:confluence-content.all"
],
[
"Confluenceコンテンツの概要の読み取り",
"read:confluence-content.summary"
],
[
"Confluenceコンテンツおよびスペースの概要の検索",
"search:confluence"
],
[
"Confluenceのコンテンツ権限の読み取り",
"read:confluence-content.permission"
],
[
"ユーザーの読み取り",
"read:confluence-user"
],
[
"ユーザーグループの読み取り",
"read:confluence-groups"
],
[
"ユーザーグループの作成、削除、更新",
"write:confluence-groups"
],
[
"コンテンツ添付ファイルのダウンロード",
"readonly:content.attachment:confluence"
]
]
},
{
"label": "詳細スコープ",
"name": "granular_scopes",
"optional": true,
"hint": "このコネクションで要求する詳細スコープ(https://developer.atlassian.com/cloud/confluence/scopes-for-oauth-2-3LO-and-forge-apps/#granular-scopes)を選択してください。クライアントに使用が許可されているスコープのみを指定してください。ConfluenceルートURIが設定されていない場合にのみ適用されます。複数の値はスペースで区切ってください。",
"type": "string",
"options": [
[
"コンテンツの表示",
"read:content:confluence"
],
[
"コンテンツの詳細の表示",
"read:content-details:confluence"
],
[
"コンテンツの作成と更新",
"write:content:confluence"
],
[
"コンテンツの削除",
"delete:content:confluence"
],
[
"スペースの詳細の表示",
"read:space-details:confluence"
],
[
"コンテンツの分析情報の表示",
"read:analytics.content:confluence"
],
[
"監査レコードの表示",
"read:audit-log:confluence"
],
[
"監査レコードの作成",
"write:audit-log:confluence"
],
[
"Confluence設定の表示",
"read:configuration:confluence"
],
[
"Confluence設定の更新",
"write:configuration:confluence"
],
[
"ページの表示",
"read:page:confluence"
],
[
"ページの作成と更新",
"write:page:confluence"
],
[
"ページの削除",
"delete:page:confluence"
],
[
"ブログ投稿の表示",
"read:blogpost:confluence"
],
[
"ブログ投稿の作成と更新",
"write:blogpost:confluence"
],
[
"ブログ投稿の削除",
"delete:blogpost:confluence"
],
[
"ホワイトボードの表示",
"read:whiteboard:confluence"
],
[
"ホワイトボードの作成と更新",
"write:whiteboard:confluence"
],
[
"ホワイトボードの削除",
"delete:whiteboard:confluence"
],
[
"データベースの表示",
"read:database:confluence"
],
[
"データベースの作成と更新",
"write:database:confluence"
],
[
"データベースの削除",
"delete:database:confluence"
],
[
"コンテンツツリー内のSmart Linksの表示",
"read:embed:confluence"
],
[
"コンテンツツリー内のSmart Linksの作成と更新",
"write:embed:confluence"
],
[
"コンテンツツリー内のSmart Linksの削除",
"delete:embed:confluence"
],
[
"フォルダの表示",
"read:folder:confluence"
],
[
"フォルダの作成と更新",
"write:folder:confluence"
],
[
"フォルダの削除",
"delete:folder:confluence"
],
[
"カスタムコンテンツの表示",
"read:custom-content:confluence"
],
[
"カスタムコンテンツの作成と更新",
"write:custom-content:confluence"
],
[
"カスタムコンテンツの削除",
"delete:custom-content:confluence"
],
[
"コンテンツ添付ファイルの表示とダウンロード",
"read:attachment:confluence"
],
[
"コンテンツ添付ファイルの作成と更新",
"write:attachment:confluence"
],
[
"コンテンツ添付ファイルの削除",
"delete:attachment:confluence"
],
[
"コメントの表示",
"read:comment:confluence"
],
[
"コメントの作成と更新",
"write:comment:confluence"
],
[
"コメントの削除",
"delete:comment:confluence"
],
[
"コンテンツテンプレートの表示",
"read:template:confluence"
],
[
"コンテンツテンプレートの作成、更新、削除",
"write:template:confluence"
],
[
"ラベルの表示",
"read:label:confluence"
],
[
"ラベルの追加と削除",
"write:label:confluence"
],
[
"コンテンツ権限の確認",
"read:content.permission:confluence"
],
[
"コンテンツプロパティの表示",
"read:content.property:confluence"
],
[
"コンテンツプロパティの作成、更新、削除",
"write:content.property:confluence"
],
[
"コンテンツ制限の表示",
"read:content.restriction:confluence"
],
[
"コンテンツ制限の更新",
"write:content.restriction:confluence"
],
[
"コンテンツの概要の表示",
"read:content.metadata:confluence"
],
[
"階層コンテンツの読み取り",
"read:hierarchical-content:confluence"
],
[
"コンテンツ、スペース、またはラベルのウォッチャーの表示",
"read:watcher:confluence"
],
[
"コンテンツ、スペース、またはラベルのウォッチャーの追加と削除",
"write:watcher:confluence"
],
[
"グループの表示",
"read:group:confluence"
],
[
"グループの作成、更新、削除",
"write:group:confluence"
],
[
"インラインタスクの表示",
"read:inlinetask:confluence"
],
[
"インラインタスクのステータスの設定",
"write:inlinetask:confluence"
],
[
"エンティティ間の関係の表示",
"read:relation:confluence"
],
[
"エンティティ間の関係の作成と更新",
"write:relation:confluence"
],
[
"スペースの表示",
"read:space:confluence"
],
[
"スペースの作成と更新",
"write:space:confluence"
],
[
"スペースの削除",
"delete:space:confluence"
],
[
"スペース権限の表示",
"read:space.permission:confluence"
],
[
"スペース権限の更新",
"write:space.permission:confluence"
],
[
"スペースプロパティの表示",
"read:space.property:confluence"
],
[
"スペースプロパティの作成、更新、削除",
"write:space.property:confluence"
],
[
"ユーザープロパティの表示",
"read:user.property:confluence"
],
[
"ユーザープロパティの作成、更新、削除",
"write:user.property:confluence"
],
[
"スペース設定の表示",
"read:space.setting:confluence"
],
[
"スペース設定の更新",
"write:space.setting:confluence"
],
[
"ユーザーの詳細の表示",
"read:user:confluence"
],
[
"タスクの表示",
"read:task:confluence"
],
[
"タスクの更新",
"write:task:confluence"
],
[
"メールアドレスの読み取り",
"read:email-address:confluence"
]
]
},
{
"label": "セルフホストスコープ",
"name": "self_hosted_scopes",
"optional": true,
"hint": "このコネクションで要求するスコープ(https://confluence.atlassian.com/doc/oauth-2-0-scopes-for-incoming-links-1115674734.html)を選択してください。クライアントに使用が許可されているスコープのみを指定してください。選択したスコープはデフォルトのスコープを上書きします。空欄の場合、デフォルトで'READ'、'WRITE'、'ADMIN'が使用されます。ConfluenceルートURIが設定されている場合にのみ適用されます。複数の値はスペースで区切ってください。",
"type": "string",
"options": [
[
"コンテンツの表示",
"READ"
],
[
"コンテンツの作成、更新、削除",
"WRITE"
],
[
"Confluenceの管理",
"ADMIN"
],
[
"Confluenceシステムの管理",
"SYSTEM_ADMIN"
],
[
"すべてのコンテンツの読み取り",
"READ_ALL"
],
[
"サブスクリプションの管理",
"MANAGE_SUBSCRIPTIONS"
]
]
}
]
}
]
}Confluent Cloud
プロバイダー値:
"provider": "confluent_cloud"コネクションパラメーターJSONを表示
{
"personalization": true,
"input": [
{
"label": "シードブローカー",
"name": "seed_brokers",
"hint": "シードブローカーを'host:port'形式でカンマ区切りのリストとして入力してください。",
"type": "string"
},
{
"label": "ユーザー名",
"name": "username",
"hint": "SASL/PLAIN認証用のユーザー名を入力してください。詳細については、次のページを参照してください:'https://docs.confluent.io/current/kafka/authentication_sasl/authentication_sasl_plain.html#sasl-plain-overview'。",
"type": "string"
},
{
"label": "パスワード",
"name": "password",
"hint": "パスワードを入力してください。",
"type": "string"
},
{
"label": "Stream governance",
"name": "stream_governance",
"optional": true,
"type": "object",
"properties": [
{
"label": "Stream Governance API URL",
"name": "api_url",
"optional": false,
"hint": "Stream Governance API(Schema RegistryおよびStream Catalog API)のURLを指定してください。",
"type": "string"
},
{
"label": "Stream Governanceユーザー名",
"name": "api_username",
"optional": false,
"hint": "Schema Registryのユーザー名を指定してください。",
"type": "string"
},
{
"label": "Stream Governanceパスワード",
"name": "api_password",
"optional": false,
"hint": "Schema Registryのパスワードを指定してください。",
"type": "string"
}
]
}
]
}Cornerstone OnDemand
プロバイダー値:
"provider": "cornerstone_ondemand"コネクションパラメーターJSONを表示
{
"oauth": true,
"personalization": true,
"oauth_token_pair": {
"label": "OAuthトークンペア",
"optional": true,
"type": "object",
"hint": "認可コードグラントのコネクションを作成できます。アクセストークンとリフレッシュトークンがない場合は、空のコネクションを作成できます。",
"properties": [
{
"label": "アクセストークン",
"name": "access_token",
"type": "string",
"optional": false
},
{
"label": "リフレッシュトークン",
"name": "refresh_token",
"type": "string",
"optional": false
}
]
},
"input": [
{
"label": "ポータル",
"name": "portal",
"optional": false,
"hint": "Cornerstone OnDemandドメインのポータルプレフィックスを入力します。たとえば、'https://acme.csod.com'のポータルプレフィックスは'acme'です。",
"type": "string"
},
{
"label": "リージョン",
"name": "region",
"optional": false,
"hint": "Cornerstone OnDemandアプリケーションがホストされているリージョンを選択します。デフォルトは'com'です。",
"type": "string",
"pick_list": [
[
"米国",
"com"
],
[
"カナダ",
"ca"
],
[
"ヨーロッパ",
"eu"
],
[
"英国",
"co.uk"
],
[
"日本",
"jp"
],
[
"シンガポール",
"sg"
],
[
"オーストラリア",
"au"
]
]
},
{
"label": "クライアントID",
"name": "client_id",
"optional": false,
"hint": "Cornerstone OnDemandのOAuthアプリケーションのクライアントIDを入力します。",
"type": "string"
},
{
"label": "クライアントシークレット",
"name": "client_secret",
"optional": false,
"hint": "Cornerstone OnDemandのOAuthアプリケーションのクライアントシークレットを入力します。",
"type": "string"
},
{
"label": "スコープ",
"name": "scope",
"optional": false,
"hint": "コネクションに必要なOAuthスコープを選択します。デフォルトでは、'reportingmetadata:view'および'obj_metadata:read'スコープが要求されます。CSOD APIの制限により、18を超えるスコープを選択した場合、Workatoはすべてのスコープを要求します。詳細については、次のドキュメントを参照してください:'https://csod.dev/guides/getting-started/authentication.html#acquire-a-token-and-make-an-api-call'。複数の値はカンマで区切ります。",
"type": "string",
"options": [
[
"住所の基本データの読み取り",
"obj_address_core:read"
],
[
"タイムゾーンの基本データの読み取り",
"obj_timezone_core:read"
],
[
"タイムゾーンのローカライズデータの読み取り",
"obj_timezone_local_core:read"
],
[
"アセスメント評価の基本データの読み取り",
"obj_assessment_evaluation_core:read"
],
[
"アセスメント回答の基本データの読み取り",
"obj_assessment_response_core:read"
],
[
"アセスメント結果の基本データの読み取り",
"obj_assessment_result_core:read"
],
[
"アセスメントテストの基本データの読み取り",
"obj_assessment_test_core:read"
],
[
"アセスメントタイプの基本データの読み取り",
"obj_assessment_type_core:read"
],
[
"応募のカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_application_cf_enum_local2_core:read"
],
[
"利用可否タイプの読み取り",
"obj_AvailabilityType:read"
],
[
"能力の読み取り",
"obj_Capability:read"
],
[
"能力のローカライズデータの読み取り",
"obj_Capability_local:read"
],
[
"能力カテゴリーの読み取り",
"obj_CapabilityCategory:read"
],
[
"能力カテゴリーのローカライズデータの読み取り",
"obj_CapabilityCategory_local:read"
],
[
"能力カテゴリーのマッピングの読み取り",
"obj_CapabilityCategoryMap:read"
],
[
"能力モデルの読み取り",
"obj_CapabilityModel:read"
],
[
"能力モデルのローカライズデータの読み取り",
"obj_CapabilityModel_local:read"
],
[
"能力モデルの利用可否の読み取り",
"obj_CapabilityModelAvailability:read"
],
[
"能力モデルと能力のマッピングの読み取り",
"obj_CapabilityModelCapabilityMap:read"
],
[
"能力モデルと対象のマッピングの読み取り",
"obj_CapabilityModelTargetMap:read"
],
[
"能力ソースの読み取り",
"obj_CapabilitySource:read"
],
[
"能力ステータスの読み取り",
"obj_CapabilityStatus:read"
],
[
"能力タイプの読み取り",
"obj_CapabilityType:read"
],
[
"カテゴリーステータスの読み取り",
"obj_CategoryStatus:read"
],
[
"認定カテゴリーのローカライズデータの読み取り",
"obj_certification_category_local_core:read"
],
[
"認定の基本データの読み取り",
"obj_certification_core:read"
],
[
"認定ファミリーのローカライズデータの読み取り",
"obj_certification_family_local_core:read"
],
[
"認定のローカライズデータの読み取り",
"obj_certification_local_core:read"
],
[
"チェックインの読み取り",
"obj_CheckIn:read"
],
[
"チェックインコメントの読み取り",
"obj_CheckInComment:read"
],
[
"チェックインフォローアップの読み取り",
"obj_CheckInFollowUp:read"
],
[
"チェックインミーティングの読み取り",
"obj_CheckInMeeting:read"
],
[
"チェックインメモの読み取り",
"obj_CheckInNote2:read"
],
[
"チェックイン参加者の読み取り",
"obj_CheckInParticipant:read"
],
[
"チェックインテンプレートの読み取り",
"obj_CheckInTemplate:read"
],
[
"チェックインテンプレートのローカライズデータの読み取り",
"obj_CheckInTemplate_local:read"
],
[
"チェックイントピックの読み取り",
"obj_CheckInTopic:read"
],
[
"報酬タイプのローカライズデータの読み取り",
"obj_compensation_type_local_core:read"
],
[
"コース評価の基本データの読み取り",
"obj_course_rating_core:read"
],
[
"カルチャーの基本データの読み取り",
"obj_culture_core:read"
],
[
"言語の基本データの読み取り",
"obj_language_core:read"
],
[
"通貨の基本データの読み取り",
"obj_currency_core:read"
],
[
"カリキュラム期限タイプのローカライズデータの読み取り",
"obj_curriculum_due_date_type_local_core:read"
],
[
"カリキュラム構造の基本データの読み取り",
"obj_curriculum_structure_core:read"
],
[
"Development計画のアクションステップの基本データの読み取り",
"obj_devplan_action_step_core:read"
],
[
"Development計画のアクティビティタイプの基本データの読み取り",
"obj_devplan_activity_type_core:read"
],
[
"Development計画のアクティビティタイプのローカライズデータの読み取り",
"obj_devplan_activity_type_local_core:read"
],
[
"Development計画のカテゴリーの基本データの読み取り",
"obj_devplan_category_core:read"
],
[
"Development計画のカテゴリーのローカライズデータの読み取り",
"obj_devplan_category_local_core:read"
],
[
"Development計画のカスタムフィールドの読み取り",
"obj_devplan_cf_core:read"
],
[
"Development計画のカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_devplan_cf_enum_local2_core:read"
],
[
"Development計画の基本データの読み取り",
"obj_devplan_core:read"
],
[
"Development計画の目標カテゴリーの基本データの読み取り",
"obj_devplan_objective_category_core:read"
],
[
"Development計画の目標カテゴリーのローカライズデータの読み取り",
"obj_devplan_objective_category_local_core:read"
],
[
"Development計画の目標の基本データの読み取り",
"obj_devplan_objective_core:read"
],
[
"Development計画のステータスの基本データの読み取り",
"obj_devplan_status_core:read"
],
[
"Development計画のステータスのローカライズデータの読み取り",
"obj_devplan_status_local_core:read"
],
[
"Development計画のトレーニングの基本データの読み取り",
"obj_devplan_training_core:read"
],
[
"専門家による検証の読み取り",
"obj_ExpertValidation:read"
],
[
"フィードバックバッジのローカライズデータの読み取り",
"obj_feedback_badge_local_core:read"
],
[
"目標の関連付けの基本データの読み取り",
"obj_goal_association_core:read"
],
[
"目標カテゴリーの関連付けの基本データの読み取り",
"obj_goal_category_association_core:read"
],
[
"目標カテゴリーの基本データの読み取り",
"obj_goal_category_core:read"
],
[
"目標カテゴリーのローカライズデータの読み取り",
"obj_goal_category_local_core:read"
],
[
"目標の基本データの読み取り",
"obj_goal_core:read"
],
[
"目標の観点の基本データの読み取り",
"obj_goal_perspective_core:read"
],
[
"目標の観点のローカライズデータの読み取り",
"obj_goal_perspective_local_core:read"
],
[
"目標のターゲットの基本データの読み取り",
"obj_goal_target_core:read"
],
[
"目標タスクの基本データの読み取り",
"obj_goal_task_core:read"
],
[
"講師の基本データの読み取り",
"obj_instructor_core:read"
],
[
"求人応募者の基本データの読み取り",
"obj_job_applicant_core:read"
],
[
"求人応募の基本データの読み取り",
"obj_job_application_core:read"
],
[
"求人応募の処置のローカライズデータの読み取り",
"obj_job_application_disposition_local_core:read"
],
[
"求人応募ステータスのローカライズデータの読み取り",
"obj_job_application_status_local_core:read"
],
[
"求人応募の提出元の基本データの読み取り",
"obj_job_application_submission_source_core:read"
],
[
"求人応募ワークフローの基本データの読み取り",
"obj_job_application_workflow_core:read"
],
[
"採用申請のカスタムフィールドの読み取り",
"obj_job_requisition_cf_core:read"
],
[
"採用申請の基本データの読み取り",
"obj_job_requisition_core:read"
],
[
"採用申請のEEOカテゴリーの基本データの読み取り",
"obj_job_requisition_eeo_category_core:read"
],
[
"採用申請の雇用タイプのローカライズデータの読み取り",
"obj_job_requisition_employment_type_local_core:read"
],
[
"採用申請の対象OUの基本データの読み取り",
"obj_job_requisition_target_ou_core:read"
],
[
"採用申請テンプレートの基本データの読み取り",
"obj_job_requisition_template_core:read"
],
[
"採用申請テンプレートのローカライズデータの読み取り",
"obj_job_requisition_template_local_core:read"
],
[
"内定通知書のカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_offer_letter_cf_enum_local2_core:read"
],
[
"OUのカスタムフィールドの読み取り",
"obj_ou_cf_core:read"
],
[
"OUのカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_ou_cf_enum_local2_core:read"
],
[
"OUのカスタムフィールドのテキストのローカライズデータの読み取り",
"obj_ou_cf_text_local_core:read"
],
[
"OUの基本データの読み取り",
"obj_ou_core:read"
],
[
"OU階層の基本データの読み取り",
"obj_ou_hierarchy_core:read"
],
[
"OUのローカライズデータの読み取り",
"obj_ou_local_core:read"
],
[
"OUタイプの基本データの読み取り",
"obj_ou_type_core:read"
],
[
"OUタイプのローカライズデータの読み取り",
"obj_ou_type_local_core:read"
],
[
"業績評価のカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_performance_review_cf_enum_local2_core:read"
],
[
"QnA回答バンクの基本データの読み取り",
"obj_qna_answer_bank_core:read"
],
[
"QnAコンテナーの基本データの読み取り",
"obj_qna_container_core:read"
],
[
"QnA正解の基本データの読み取り",
"obj_qna_correct_answer_core:read"
],
[
"QnA項目監査の基本データの読み取り",
"obj_qna_item_audit_core:read"
],
[
"QnA質問カテゴリーの基本データの読み取り",
"obj_qna_question_category_core:read"
],
[
"QnA質問カテゴリーのローカライズデータの読み取り",
"obj_qna_question_category_local_core:read"
],
[
"QnA質問の基本データの読み取り",
"obj_qna_question_core:read"
],
[
"QnA質問タイプのローカライズデータの読み取り",
"obj_qna_question_type_local_core:read"
],
[
"QnAセクションの基本データの読み取り",
"obj_qna_section_core:read"
],
[
"QnA構造の基本データの読み取り",
"obj_qna_structure_core:read"
],
[
"QnA対象者の基本データの読み取り",
"obj_qna_target_person_core:read"
],
[
"QnAテキストのローカライズデータの読み取り",
"obj_qna_text_local_core:read"
],
[
"SCORMセッションの読み取り",
"obj_scorm_session:read"
],
[
"SCORMサブセッションの読み取り",
"obj_scorm_subsession:read"
],
[
"SCORMサブセッションのインタラクションの読み取り",
"obj_scorm_subsession_interaction:read"
],
[
"SCORMサブセッションのインタラクションの正解の読み取り",
"obj_scorm_subsession_interaction_correct_response:read"
],
[
"SCORM 2004アクティビティセッション履歴の読み取り",
"obj_scorm2004_activity_session_history:read"
],
[
"SCORM 2004インタラクション履歴の読み取り",
"obj_scorm2004_interaction_history:read"
],
[
"スキルの読み取り",
"obj_Skill:read"
],
[
"スキルグラフリンクの読み取り",
"obj_SkillsGraphLink:read"
],
[
"スキルグラフリンク方式の読み取り",
"obj_SkillsGraphLinkMethod:read"
],
[
"スキルグラフリンクタイプの読み取り",
"obj_SkillsGraphLinkType:read"
],
[
"SMPタスクレビューのローカライズデータの読み取り",
"obj_smp_task_review_local_core:read"
],
[
"後継者計画のカスタムフィールドの列挙値2のローカライズデータの読み取り",
"obj_succession_cf_enum_local2_core:read"
],
[
"科目の基本データの読み取り",
"obj_subject_core:read"
],
[
"同等科目の基本データの読み取り",
"obj_subject_equivalent_core:read"
],
[
"科目のローカライズデータの読み取り",
"obj_subject_local_core:read"
],
[
"科目トレーニングの基本データの読み取り",
"obj_subject_training_core:read"
],
[
"対象タイプの読み取り",
"obj_TargetType:read"
],
[
"タスクのローカライズデータの読み取り",
"obj_task_local_core:read"
],
[
"タスクレビュー評価のローカライズデータの読み取り",
"obj_task_review_rating_local_core:read"
],
[
"タスクレビューステップのローカライズデータの読み取り",
"obj_task_review_step_local_core:read"
],
[
"タスクステータスのローカライズデータの読み取り",
"obj_task_status_local_core:read"
],
[
"トレーニング割り当ての基本データの読み取り",
"obj_training_assignment_core:read"
],
[
"トレーニング割り当て詳細の基本データの読み取り",
"obj_training_assignment_detail_core:read"
],
[
"トレーニング割り当てLATの基本データの読み取り",
"obj_training_assignment_lat_core:read"
],
[
"トレーニング割り当てユーザーの基本データの読み取り",
"obj_training_assignment_user_core:read"
],
[
"OU別のトレーニング利用可否の基本データの読み取り",
"obj_training_availability_by_ou_core:read"
],
[
"ユーザー別のトレーニング利用可否の基本データの読み取り",
"obj_training_availability_by_user_core:read"
],
[
"トレーニングで利用可能なカルチャーの基本データの読み取り",
"obj_training_available_culture_core:read"
],
[
"トレーニングバンドルの基本データの読み取り",
"obj_training_bundle_core:read"
],
[
"トレーニングバンドルマニフェストの基本データの読み取り",
"obj_training_bundle_manifest_core:read"
],
[
"トレーニングのカスタムフィールドの読み取り",
"obj_training_cf_core:read"
],
[
"トレーニングのカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_training_cf_enum_local2_core:read"
],
[
"トレーニングのカスタムフィールドのテキストのローカライズデータの読み取り",
"obj_training_cf_text_local_core:read"
],
[
"トレーニング連絡先の基本データの読み取り",
"obj_training_contact_core:read"
],
[
"トレーニングの基本データの読み取り",
"obj_training_core:read"
],
[
"トレーニングの同等性の基本データの読み取り",
"obj_training_equivalency_core:read"
],
[
"トレーニング免除理由のローカライズデータの読み取り",
"obj_training_exemption_reason_local_core:read"
],
[
"トレーニング予測のカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_training_forecast_cf_enum_local2_core:read"
],
[
"トレーニングILT施設の基本データの読み取り",
"obj_training_ilt_facility_core:read"
],
[
"トレーニングILT施設タイプのローカライズデータの読み取り",
"obj_training_ilt_facility_type_local_core:read"
],
[
"トレーニングILTセッションの基本データの読み取り",
"obj_training_ilt_session_core:read"
],
[
"トレーニングライセンスの基本データの読み取り",
"obj_training_license_core:read"
],
[
"トレーニングのローカライズデータの読み取り",
"obj_training_local_core:read"
],
[
"トレーニング教材タイプの基本データの読み取り",
"obj_training_material_type_core:read"
],
[
"トレーニング教材タイプのローカライズデータの読み取り",
"obj_training_material_type_local_core:read"
],
[
"トレーニングモデルの基本データの読み取り",
"obj_training_model_core:read"
],
[
"トレーニングモデルのローカライズデータの読み取り",
"obj_training_model_local_core:read"
],
[
"トレーニングモデルのトレーニングオブジェクトの基本データの読み取り",
"obj_training_model_training_object_core:read"
],
[
"トレーニングパートの出席の基本データの読み取り",
"obj_training_part_attendance_core:read"
],
[
"トレーニングパートの講師の基本データの読み取り",
"obj_training_part_instructor_core:read"
],
[
"トレーニングパートのローカライズデータの読み取り",
"obj_training_part_local_core:read"
],
[
"トレーニングパート2の基本データの読み取り",
"obj_training_part2_core:read"
],
[
"トレーニングプロバイダーの基本データの読み取り",
"obj_training_provider_core:read"
],
[
"トレーニングプロバイダーの講師所属の基本データの読み取り",
"obj_training_provider_instructor_membership_core:read"
],
[
"トレーニングの関係の基本データの読み取り",
"obj_training_relationship_core:read"
],
[
"トレーニングの関係タイプの基本データの読み取り",
"obj_training_relationship_type_core:read"
],
[
"トレーニング削除理由のローカライズデータの読み取り",
"obj_training_removal_reason_local_core:read"
],
[
"トレーニング要件タグカテゴリーの基本データの読み取り",
"obj_training_requirement_tag_category_core:read"
],
[
"トレーニング要件タグカテゴリーのローカライズデータの読み取り",
"obj_training_requirement_tag_category_local_core:read"
],
[
"トレーニング要件タグの基本データの読み取り",
"obj_training_requirement_tag_core:read"
],
[
"トレーニング要件タグのローカライズデータの読み取り",
"obj_training_requirement_tag_local_core:read"
],
[
"トレーニングSCORMの基本データの読み取り",
"obj_training_scorm_core:read"
],
[
"トレーニングステータスタイプのローカライズデータの読み取り",
"obj_training_status_type_local_core:read"
],
[
"トレーニングタイプの基本データの読み取り",
"obj_training_type_core:read"
],
[
"トレーニングタイプのローカライズデータの読み取り",
"obj_training_type_local_core:read"
],
[
"トレーニング購入の基本データの読み取り",
"obj_training_purchase_core:read"
],
[
"トレーニング購入明細項目の基本データの読み取り",
"obj_training_purchase_line_item_core:read"
],
[
"トレーニング購入支払者の基本データの読み取り",
"obj_training_purchase_payer_core:read"
],
[
"トレーニング購入支払いタイプの基本データの読み取り",
"obj_training_purchase_payment_type_core:read"
],
[
"トレーニング購入者のオーバーライドの基本データの読み取り",
"obj_training_purchaser_overrides_core:read"
],
[
"受講記録アクションの基本データの読み取り",
"obj_transcript_action_core:read"
],
[
"受講記録アクションのローカライズデータの読み取り",
"obj_transcript_action_local_core:read"
],
[
"受講記録アクション理由の基本データの読み取り",
"obj_transcript_action_reason_core:read"
],
[
"受講記録アクション理由のローカライズデータの読み取り",
"obj_transcript_action_reason_local_core:read"
],
[
"受講記録の割り当ての基本データの読み取り",
"obj_transcript_assignment_core:read"
],
[
"受講記録のカスタムフィールドの読み取り",
"obj_transcript_cf_core:read"
],
[
"受講記録の基本データの読み取り",
"obj_transcript_core:read"
],
[
"受講記録の提供方法のローカライズデータの読み取り",
"obj_transcript_delivery_method_local_core:read"
],
[
"受講記録の起源タイプのローカライズデータの読み取り",
"obj_transcript_origin_type_local_core:read"
],
[
"受講記録のソース割り当ての基本データの読み取り",
"obj_transcript_src_assignment_core:read"
],
[
"受講記録ステータスグループの基本データの読み取り",
"obj_transcript_status_group_core:read"
],
[
"受講記録ステータスグループの所属の基本データの読み取り",
"obj_transcript_status_group_membership_core:read"
],
[
"受講記録ステータスのローカライズデータの読み取り",
"obj_transcript_status_local_core:read"
],
[
"ユーザーカテゴリーのローカライズデータの読み取り",
"obj_user_category_local_core:read"
],
[
"ユーザーのカスタムフィールドの列挙値のローカライズデータの読み取り",
"obj_user_cf_enum_local2_core:read"
],
[
"ユーザーの動的関係の基本データの読み取り",
"obj_user_dynamic_relation_core:read"
],
[
"ユーザーの雇用ステータスのローカライズデータの読み取り",
"obj_user_employment_status_local_core:read"
],
[
"ユーザーの休職理由のローカライズデータの読み取り",
"obj_user_leave_reason_local_core:read"
],
[
"ユーザーログインの基本データの読み取り",
"obj_user_login_core:read"
],
[
"ユーザーOUの基本データの読み取り",
"obj_user_ou_core:read"
],
[
"ユーザーの複数OUの基本データの読み取り",
"obj_user_ou_multi_core:read"
],
[
"ユーザーのピボット済みOUの基本データの読み取り",
"obj_user_ou_pivoted_core:read"
],
[
"ユーザーOUステータスのローカライズデータの読み取り",
"obj_user_ou_status_local_core:read"
],
[
"ユーザーの再雇用資格のローカライズデータの読み取り",
"obj_user_rehire_eligibility_local_core:read"
],
[
"ユーザーステータスの基本データの読み取り",
"obj_user_status_core:read"
],
[
"ユーザーステータスのローカライズデータの読み取り",
"obj_user_status_local_core:read"
],
[
"ユーザーサブカテゴリーの基本データの読み取り",
"obj_user_sub_category_core:read"
],
[
"ユーザーサブカテゴリーのローカライズデータの読み取り",
"obj_user_sub_category_local_core:read"
],
[
"ユーザーの雇用終了理由カテゴリーの基本データの読み取り",
"obj_user_termination_reason_category_core:read"
],
[
"ユーザーの雇用終了理由カテゴリーのローカライズデータの読み取り",
"obj_user_termination_reason_category_local_core:read"
],
[
"ユーザーの雇用終了理由の基本データの読み取り",
"obj_user_termination_reason_core:read"
],
[
"ユーザーの雇用終了理由のローカライズデータの読み取り",
"obj_user_termination_reason_local_core:read"
],
[
"ユーザータイプのローカライズデータの読み取り",
"obj_user_type_local_core:read"
],
[
"ユーザー能力ステータスの読み取り",
"obj_UserCapabilityStatus:read"
],
[...]
